<?php

include('webessence/config.php');

$pathinfo = isset($_SERVER['PATH_INFO']) ? trim($_SERVER['PATH_INFO'], '/') : (isset($_SERVER['ORIG_PATH_INFO']) ? trim($_SERVER['ORIG_PATH_INFO'], '/') : '');

if (WE_CACHE)
{
	$cachedir = 'webessence/cache/' . $pathinfo;
	if (!empty($pathinfo))
		$cachedir .= '/';

	// Caching files are: md5 of request_uri + .(dot) + seconds to cache it
	$request_md5 = md5($_SERVER['REQUEST_URI']);
	$files = glob($cachedir . $request_md5 . '.*');
	if (!empty($files))
	{
		$now = time();
		$filename = $files[0];
		$parts = explode('.', basename($filename));
		if (filemtime($filename) + $parts[1] > $now)
		{
			readfile($filename);
			exit;
		}
	}
}

include('webessence/includes/template.php');
include('webessence/includes/error_handling.php');
include('webessence/includes/page.php');
include('webessence/includes/collection.php');
include('webessence/includes/db_entity.php');
include('webessence/includes/db_page.php');
include('webessence/includes/db_collection.php');
include('webessence/includes/db_tag.php');
include('webessence/includes/db_config.php');

$prepath = '';
$pathname = '';
$pos = strrpos($pathinfo, '/');
if ($pos === false)
	$pathname = $pathinfo;
else
{
	$prepath = substr($pathinfo, 0, $pos + 1);
	$pathname = substr($pathinfo, $pos + 1);
}

$mysqli = @new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
if ($mysqli->connect_error)
	die('Fout bij verbinding maken met database: ' . $mysqli->connect_error);

$dbPage = new DbPage($mysqli);
$page = $dbPage->GetByPathInfo($prepath, $pathname);

if ($page !== null)
{
	$tpl = DbPage::PrepareToShow($page, $dbPage, $mysqli);
	$content = $tpl->parse();
	if (WE_CACHE && $page->cache_minutes > 0)
	{
		if (!empty($pathinfo) && !is_dir($cachedir))
		{
			if (!mkdir($cachedir, 0700, true))
			{
				//?
			}
		}
		file_put_contents($cachedir . $request_md5 . '.' . ($page->cache_minutes * 60), $content);
	}
	echo $content;
}
else
	trigger_error('The page cannot be found.', E_USER_ERROR);

$mysqli->close();

?>
