var oembed = {};

oembed.path_to_oembed_php = "oembed.php";
oembed.id_counter = 0;

oembed.providers = {
	"youtube" : "http://www.youtube.com/oembed?url=[URL]&format=json",
	"flickr" : "http://www.flickr.com/services/oembed/?url=[URL]&format=json",
	"vimeo" : "http://www.vimeo.com/api/oembed.json?url=[URL]"
};

// Use for A elements (they have className, href set)
oembed.replace_link = function(a)
{
	if (!a.id)
		a.id = "oembedid" + oembed.id_counter++;
	var provider = a.className.substr(0, a.className.indexOf("-"));
	if (typeof oembed.providers[provider] != "undefined")
		oembed.call_oembed_php(a.id, oembed.providers[provider].replace("[URL]", a.href));
};

// @embed_dest_element: element that will be replaced by the embedded content
oembed.embed = function(container_element, provider, url)
{
	if (!container_element.id)
		container_element.id = "oembedid" + oembed.id_counter++;
	if (typeof oembed.providers[provider] != "undefined")
		oembed.call_oembed_php(container_element.id, oembed.providers[provider].replace("[URL]", url));
};

oembed.call_oembed_php = function(id, url)
{
	var script = document.createElement("script");
	script.src = oembed.path_to_oembed_php + "?url=" + encodeURIComponent(url) + "&id=" + id;
	document.getElementsByTagName("head").item(0).appendChild(script);
};

oembed.replace_all_links = function()
{
	var a_list = document.getElementsByTagName("a");
	for (var i = 0; i < a_list.length; i++)
	{
		if (a_list[i].className.indexOf("-oembed-link") > -1)
			oembed.replace_link(a_list[i]);
	}
};

oembed.replace = function(replace_element, json)
{
	switch (json.type)
	{
		case "video": case "rich":
		{			
			if (replace_element.outerHTML)
			{
				// IE, cannot be a DIV (runtime error in IE)
				replace_element.outerHTML = "<span class='oembed-container'>" + json.html + "</span>";
			}
			else
			{
				if (document.createRange)
				{
					var range = document.createRange();
					var documentFragment = range.createContextualFragment("<div class='oembed-container'>" + json.html + "</div>");
					replace_element.parentNode.replaceChild(documentFragment, replace_element);
				}
			}
		}
			break;
		case "photo":
		{
			var div = document.createElement("div");
			div.className = "oembed-container";
			var img = document.createElement("img");
			img.src = json.url;
			div.appendChild(img);
			replace_element.parentNode.replaceChild(div, replace_element);
		}
			break;
		default:
			break;
	}
};

oembed.add = function(element, json)
{
	switch (json.type)
	{
		case "video": case "rich":
		{
			element.innerHTML = json.html;
		}
			break;
		case "photo":
		{
			var img = document.createElement("img");
			img.src = json.url;
			element.appendChild(img);
		}
			break;
		default:
			break;
	}
};

oembed.cb = function(id, json)
{
	if (!json)
		return; // There was an error
	
	var element = document.getElementById(id);
	
	// At this moment: if it is a A tag, it will be replaced,
	// all other tags will be the container of the embedded content.
	if (element.nodeName.toLowerCase() == "a")
		oembed.replace(element, json);
	else
		oembed.add(element, json);
};

