<?php

include('includes/includes.php');
$user = $_SESSION[WE_SECRET . 'user'];

if (!$user->manage_collectionitems)
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);

if (empty($_POST['collectionitemid']) || empty($_POST['k']))
	trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);
	
if ($_POST['k'] != md5(WE_SECRET . $_SESSION['challenge']))
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);

$id = $_POST['collectionitemid'];

$mysqli = new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
$dbCollectionItemAdmin = new DbCollectionItemAdmin($mysqli);

if (isset($_POST['itemContent']))
{
	$visible = isset($_POST['itemVisible']) ? 1 : 0;
	$itemContent = Utils::fix_quotes(trim($_POST['itemContent']));
	
	// Check the content-breaker
	$contentParts = preg_split('$<hr id="?we_content_breaker"?\s?/?>$i', $itemContent);
	
	$content1 = trim($contentParts[0]);
	$content2 = isset($contentParts[1]) ? trim($contentParts[1]) : '';

	if (!$dbCollectionItemAdmin->UpdateContentAndVisible($id, $content1, $content2, $visible))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}
	header("Location: collectionitem_content_edit.php?id=$id&action=ok");
	$mysqli->close();
	exit;
}

if (isset($_POST['edit_basic']))
{
	if (empty($_POST['itemTitle']))
		trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);
		
	$itemTitle = Utils::fix_quotes(trim($_POST['itemTitle']));
	$visible = isset($_POST['itemVisible']) ? 1 : 0;
	
	if (!$dbCollectionItemAdmin->update_basic($id, $itemTitle, $visible))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}
	
	$mysqli->close();
	header('Location: collectionitem_edit.php?id=' . $id . '&action=ok');
	exit;
}

if (isset($_POST['edit_seo']))
{
	if (empty($_POST['itemUrlTitle']) || !isset($_POST['itemMetaDescription']) || !isset($_POST['itemMetaKeywords']))
		trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);
		
	$itemUrlTitle = Utils::fix_quotes(trim($_POST['itemUrlTitle']));
	$itemMetaKeywords = Utils::fix_quotes(trim($_POST['itemMetaKeywords']));
	$itemMetaDesc = Utils::fix_quotes(trim($_POST['itemMetaDescription']));
	
	if (preg_match("/^[_\-a-zA-Z0-9]+$/", $itemUrlTitle) == 0)
		trigger_error(ERROR_PAREMETER_WRONG_FORMAT_MSG, E_USER_ERROR);

	if (preg_match("/^[0-9]+$/", $itemUrlTitle) == 1)
		trigger_error(ERROR_PAREMETER_WRONG_FORMAT_MSG, E_USER_ERROR);
		
	if (!$dbCollectionItemAdmin->update_seo($id, $itemUrlTitle, $itemMetaKeywords, $itemMetaDesc))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}

	$mysqli->close();
	header('Location: collectionitem_edit.php?id=' . $id . '&action=ok');
	exit;
}

if (isset($_POST['edit_tags']))
{
	$dbTagAdmin = new DbTagAdmin($mysqli);
	$tagids = isset($_POST['tags']) ? $_POST['tags'] : null;
	
	if (!$dbTagAdmin->UpdateCollectionItemWithTags($id, $tagids))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}

	$mysqli->close();
	header('Location: collectionitem_edit.php?id=' . $id . '&action=ok');
	exit;
}

if (isset($_POST['edit_comments_closed']))
{
	$commentsClosed = isset($_POST['itemCommentsClosed']) ? 1 : 0;
	if (!$dbCollectionItemAdmin->update_comments_closed($id, $commentsClosed))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}
	$mysqli->close();
	header('Location: collectionitem_edit.php?id=' . $id . '&action=ok');
	exit;
}

if (isset($_POST['edit_image']))
{
	$itemImage = isset($_POST['itemImage']) ? Utils::fix_quotes(trim($_POST['itemImage'])) : '';
	if (!$dbCollectionItemAdmin->update_image($id, $itemImage))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}
	$mysqli->close();
	header('Location: collectionitem_edit.php?id=' . $id . '&action=ok');
	exit;
}

if (isset($_POST['edit_description']))
{
	$itemDescription = Utils::fix_quotes(trim($_POST['itemDescription']));
	if (!$dbCollectionItemAdmin->update_description($id, $itemDescription))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}
	$mysqli->close();
	header('Location: collectionitem_edit.php?id=' . $id . '&action=ok');
	exit;
}

?>
