<?php

include('includes/lang/install.php');
include('../includes/template.php');
include('install_create_table_queries.php');

function getRandomString($length)
{
	$str = '1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
	$len = strlen($str) - 1;
	$random = '';
	for ($i = 0; $i < $length; $i++) $random .= $str[rand(0, $len)];
	return $random;
}

$tpl = new Template('templates/html_install.tpl.php');
$tpl->set('title', PAGE_TITLE);

if (!empty($_POST['username']) && !empty($_POST['password']) && !empty($_POST['database']) && !empty($_POST['server']))
{
	// Formulier is met succes opgestuurd, dus nu kan de installatie beginnen.
	$lines = array();
	$lines[] = '<h3>' . REPORT_TITLE . '</h3>';

	// 1) Schrijf config.php
	$username = $_POST['username'];
	$password = $_POST['password'];
	$database = $_POST['database'];
	$server = $_POST['server'];
	
	// Kijk voordat je config bestand aanmaakt eerst of je contact kunt maken met de database
	$mysqli = @new mysqli($server, $username, $password, $database);
	if (mysqli_connect_error())
	{
		$lines[] = '<br /><p class="error">' . REPORT_ERROR_DB_CONNECT . ': <em>' . mysqli_connect_error() . '</em></p>';
		$tpl->set('body', implode("\r\n", $lines));
		echo $tpl->parse();
		exit;
	}
	$mysqli->close();
	
	$installFilePath = $_SERVER['SCRIPT_NAME']; // e.g. /mycms/admin/install.php
	$installFile = '/webessence/admin/install.php';
	$pathAppendix = substr($installFilePath, 0, strlen($installFilePath) - strlen($installFile));

	$config = array();
	$config[] = '<?php';
	$config[] = "define('WE_VERSION', '1.0.2');";
	$config[] = "define('WE_PATH_SUB', '$pathAppendix');";
	$config[] = 'define(\'WE_PATH_ROOT\', $_SERVER[\'DOCUMENT_ROOT\'] . WE_PATH_SUB);';
	$config[] = "define('WE_DB_SERVER', '$server');";
	$config[] = "define('WE_DB_USER', '$username');";
	$config[] = "define('WE_DB_PWD', '$password');";
	$config[] = "define('WE_DB_DB', '$database');";
	$secret = getRandomString(8);
	$config[] = "define('WE_SECRET', '$secret');";
	$config[] = "define('WE_ALL_PAGES', true);";
	$config[] = "define('WE_CACHE', true);";
	$config[] = '?>';
	if (file_put_contents('../config.php', implode("\r\n", $config)) === FALSE)
	{
		$lines[] = '<br /><p class="error">' . REPORT_ERROR_WRITE_CONFIGFILE . '.</p>';
		$tpl->set('body', implode("\r\n", $lines));
		echo $tpl->parse();
		exit;
	}
	
	$lines[] = REPORT_CONFIGFILE_OK . ': <span class="success">OK</span>.<br />';
	
	include('../config.php');
	
	// 2) Klaarzetten van de database - ik doe dit hier nogmaals, maar nu dus met de include bestand
	// zpdat we hier dan zeker weten dat dit gelukt is.
	$mysqli = new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
	
	$queries = getCreateTableQueryArray();
	
	$lines[] = '';
	foreach ($queries as $table => $query)
	{
		if ($mysqli->query($query) === FALSE)
		{
			$lines[] = "<br /><p class='error'>" . REPORT_ERROR_TABLE_CREATE . " <em>$table</em>: <em>$mysqli->error</em>.</p>";
			$tpl->set('body', implode("\r\n", $lines));
			echo $tpl->parse();
			$mysqli->close();
			exit;
		}
	}

	$lines[] = REPORT_TABLES_OK . ': <span class="success">OK</span>.<br />';

	// NU enkele rijen al vullen (config en users met de admin!)
	$config = array();
	$config['editor_css_classes'] = '';
	$config['editor_img_classes'] = '';
	$config['contact_email'] = '';

	foreach ($config as $key => $value)
	{
		if ($mysqli->query("insert into config set config_key = '$key', config_value = '$value'") === FALSE)
		{
			$lines[] = "<br /><p class='error'>" . REPORT_ERROR_INSERT_CONFIG . " <em>$key</em>: <em>$mysqli->error</em>.</p>";
			$tpl->set('body', implode("\r\n", $lines));
			echo $tpl->parse();
			$mysqli->close();
			exit;
		}
	}

	$lines[] = REPORT_CONFIG_OK . ': <span class="success">OK</span>.<br />';
	
	$pwdPlain = getRandomString(8);
	$pwdCrypt = sha1($pwdPlain);

	if ($mysqli->query(
		'insert into users set `name` = \'admin\', `pwd` = \'' . $pwdCrypt . '\', description = \'The admin user\', manage_media = 1, sort_pages = 1' .
		', manage_collections = 1, manage_users = 1, manage_comments = 1, manage_collectionitems = 1, set_cache = 1' .
		', manage_config = 1, manage_page_collections = 1, manage_pages = 1, set_lock = 1, manage_templates = 1') === FALSE)
	{
		$lines[] = "<br /><p class='error'>" . REPORT_ERROR_CREATE_ADMIN . ": <em>$mysqli->error</em>.</p>";
		$tpl->set('body', implode("\r\n", $lines));
		echo $tpl->parse();
		$mysqli->close();
		exit;
	}

	$mysqli->close();
	
	$lines[] = REPORT_ADMIN_OK . ': <span class="success">OK</span>.<br /><br />';
	$lines[] = "<hr /><p><strong>" . REPORT_INSTALL_OK . "</strong></p><p>" . REPORT_INSTALL_OK_LOGIN . "</p><p>" . LABEL_USER . ": <strong>admin</strong><br />" . LABEL_PWD . ": <strong>$pwdPlain</strong></p>";
	
	$tpl->set('body', implode("\r\n", $lines));
	echo $tpl->parse();
	
	exit;
}

// Als we hier komen, is er geen formulier opgestuurd (of geen goed formulier).

$showInstallForm = false;

if (!file_exists('../config.php'))
	$showInstallForm = true;
else
{
	include('../config.php');
	
	if (!defined('WE_DB_SERVER') || WE_DB_SERVER === '')
		$showInstallForm = true;
	else if (!defined('WE_DB_USER') || WE_DB_USER === '')
		$showInstallForm = true;
	else if (!defined('WE_DB_PWD') || WE_DB_PWD === '')
		$showInstallForm = true;
	else if (!defined('WE_DB_DB') || WE_DB_DB === '')
		$showInstallForm = true;
}

if ($showInstallForm)
{
	$subTpl = new Template('templates/install_config.tpl.php');
	//$tpl->set('jsFiles', array('js/install.js'));
	$tpl->set('body', $subTpl->parse());
	echo $tpl->parse();
	exit;
}
else
{
	// Men heeft al een installatie lijkt het (nl. een geldige config.php bestand)
	$tpl->set('body', '<p>' . REPORT_INSTALL_ALREADY_ACTIVE . '</p>');
	echo $tpl->parse();
	exit;
}


?>
