<?php

function getCreateTableQueryArray()
{
	$queries = array();
	
	$queries['collectionitems'] = "CREATE TABLE `collectionitems` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `collection_id` int(10) unsigned NOT NULL,
  `url_title` varchar(255) NOT NULL,
  `image` varchar(255) NOT NULL,
  `comments_closed` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `visible` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `meta_description` text NOT NULL,
  `meta_keywords` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ind_date` (`date_created`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC";

	$queries['collectionitems_comments'] = "CREATE TABLE `collectionitems_comments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(10) unsigned NOT NULL,
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `name` varchar(100) NOT NULL,
  `comment` text NOT NULL,
  `accepted` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `email` varchar(100) NOT NULL,
  `url` varchar(100) NOT NULL,
  `specification` enum('spam','maybe_spam','none') NOT NULL DEFAULT 'none',
  PRIMARY KEY (`id`),
  KEY `ind_date` (`date_created`),
  KEY `ind_item_accepted` (`item_id`,`accepted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";
	
	$queries['collectionitems_content'] = "CREATE TABLE `collectionitems_content` (
  `item_id` int(10) unsigned NOT NULL,
  `content1` text NOT NULL,
  `content2` text NOT NULL,
  PRIMARY KEY (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC";
	
	$queries['collectionitems_tags'] = "CREATE TABLE `collectionitems_tags` (
  `item_id` int(10) unsigned NOT NULL,
  `tag_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`item_id`,`tag_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";
	
	$queries['collections'] = "CREATE TABLE `collections` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `has_description` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `has_image` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `has_content` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `has_comments` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `comments_accepted_default` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `comments_add_email` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";
	
	$queries['collectiontags'] = "CREATE TABLE `collectiontags` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `tagname` varchar(45) NOT NULL,
  `collection_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ind_collection_tagname` (`collection_id`,`tagname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";
	
	$queries['config'] = "CREATE TABLE `config` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `config_key` varchar(255) NOT NULL,
  `config_value` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ind_key` (`config_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";
	
	$queries['media'] = "CREATE TABLE `media` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `date_added` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `description` varchar(255) NOT NULL,
  `media_type` enum('other','image','music','video','document') NOT NULL DEFAULT 'other',
  PRIMARY KEY (`id`),
  KEY `ind_mediatype` (`media_type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";
	
	$queries['media_tags'] = "CREATE TABLE `media_tags` (
  `media_id` int(10) unsigned NOT NULL,
  `tag_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`media_id`,`tag_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";
	
	$queries['mediatags'] = "CREATE TABLE `mediatags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tagname` varchar(45) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";

	$queries['pages'] = "CREATE TABLE `pages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menuname` varchar(100) NOT NULL,
  `title` varchar(255) NOT NULL,
  `parentid` int(10) NOT NULL DEFAULT 0,
  `sortorder` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `depth` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `prepath` varchar(255) NOT NULL,
  `pathname` varchar(100) NOT NULL,
  `visible` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `locked` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `templateid` int(10) unsigned NOT NULL DEFAULT 0,
  `collection_id` int(10) unsigned NOT NULL DEFAULT 0,
  `collection_limit` int(10) unsigned NOT NULL DEFAULT 0,
  `cache_minutes` int(10) unsigned NOT NULL DEFAULT 0,
  `is_homepage` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `meta_description` text NOT NULL,
  `meta_keywords` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ind_parent_path` (`parentid`,`pathname`),
  KEY `ind_prepath` (`prepath`),
  KEY `ind_path` (`pathname`),
  KEY `ind_homepage` (`is_homepage`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";
	
	$queries['pages_content'] = "CREATE TABLE `pages_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `page_id` int(10) unsigned NOT NULL DEFAULT 0,
  `content_id` varchar(45) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `page_content` (`page_id`,`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";

	$queries['template_contentids'] = "CREATE TABLE `template_contentids` (
  `templateid` int(10) unsigned NOT NULL,
  `contentid` varchar(45) NOT NULL,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY (`templateid`,`contentid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC";

	$queries['templates'] = "CREATE TABLE `templates` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";

	$queries['user_template_contentids'] = "CREATE TABLE `user_template_contentids` (
  `userid` int(10) unsigned NOT NULL,
  `templateid` int(10) unsigned NOT NULL,
  `contentid` varchar(45) NOT NULL,
  PRIMARY KEY (`userid`,`templateid`,`contentid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";

	$queries['user_templates'] = "CREATE TABLE `user_templates` (
  `userid` int(10) unsigned NOT NULL,
  `template_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`userid`,`template_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC";
	
	$queries['users'] = "CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `pwd` varchar(45) NOT NULL,
  `email` varchar(100) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL DEFAULT '',
  `manage_media` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `sort_pages` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `manage_collections` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `manage_users` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `manage_comments` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `manage_collectionitems` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `set_cache` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `manage_config` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `manage_page_collections` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `manage_pages` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `set_lock` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `manage_templates` tinyint(1) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ind_name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";
	
	return $queries;

}