<?php

include('includes/includes.php');
$user = $_SESSION[WE_SECRET . 'user'];

$actionkey = null;
if (isset($_GET['k']))
	$actionkey = $_GET['k'];
else if (isset($_POST['k']))
	$actionkey = $_POST['k'];
	
if (!isset($actionkey) || $actionkey != md5(WE_SECRET . $_SESSION['challenge']))
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);

// From a A tag ($_GET requests)
if (isset($_GET['do']))
{
	$mysqli = new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
	$location = null;
	if (isset($_GET['do']))
	{
		switch ($_GET['do'])
		{
			case 'unlock':
				$id = $_GET['id'];
				if (!$user->set_lock)
				{
					$mysqli->close();
					trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);
				}
				$location = 'page_edit.php?id=' . $id . '&action=ok';
				$dbPage = new DbPageAdmin($mysqli);
				$dbPage->set_lock($id, 0);
				break;
			case 'clear_cache':
				$id = $_GET['id'];
				if (!$user->set_cache)
				{
					$mysqli->close();
					trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);
				}
				$location = 'page_edit.php?id=' . $id . '&action=ok';
				$dbPage = new DbPageAdmin($mysqli);
				$dbPage->clear_cache($id);
				break;
			case 'clear_cache_all':
				if (!$user->set_cache)
				{
					$mysqli->close();
					trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);
				}
				$location = 'website.php?action=ok';
				$dbPage = new DbPageAdmin($mysqli);
				$dbPage->clear_cache_all();
				break;
			default:
				$mysqli->close();
				trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);
		}
	}
	$mysqli->close();
	header('Location: ' . $location);
	exit;
}

if (isset($_POST['set_homepage']))
{
	if (!$user->manage_config)
		trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);
	$mysqli = new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
	$dbPage = new DbPageAdmin($mysqli);
	$dbPage->set_as_homepage($_POST['homepage']);
	$mysqli->close();
	header('Location: index.php');
	exit;
}

if (empty($_POST['pageid']))
	trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);

$pageid = $_POST['pageid'];

// From content edit page
$pageContent = isset($_POST['pagecontent']) ? trim($_POST['pagecontent']) : null;
if (isset($_POST['pagecontent']))
{
	$pageContent = Utils::fix_quotes(trim($_POST['pagecontent']));
	
	if (!isset($_POST['contentid']))
		die(ERROR_PAREMETER_MSG);

	$pageContentId = $_POST['contentid'];

	$mysqli = new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
	if (mysqli_connect_error())
		die(mysqli_connect_error());

	// Check permission to update this contentid of this template
	$dbPageAdmin = new DbPageAdmin($mysqli);
	$page = $dbPageAdmin->GetById($pageid);
	$dbTemplate = new DbWeTemplate($mysqli);
	$template = $dbTemplate->GetByName($page->template);
	$isAllowed = false;
	if (array_key_exists($template->id, $user->template_contentids))
	{
		$contentids = $user->template_contentids[$template->id]->content;
		if (array_key_exists($pageContentId, $contentids))
			$isAllowed = true;
	}
	if (!$isAllowed)
	{
		$mysqli->close();
		die(ERROR_USERRIGHTS_MSG);
	}

	$dbPageAdmin->UpdateContent($pageid, $pageContentId, $pageContent);
	$mysqli->close();
	die('ok'); // This is the AJAX way of saying that everything is OK
}

if (!$user->manage_pages)
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);

$mysqli = new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
$dbPageAdmin = new DbPageAdmin($mysqli);
$page = $dbPageAdmin->GetById($pageid);
if ($page == null || $page->locked)
{
	$mysqli->close();
	trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
}

if (isset($_POST['edit_basic']))
{
	if (empty($_POST['pageMenuName']) || empty($_POST['pageTitle']) || empty($_POST['pageTemplate']))
	{
		$mysqli->close();
		trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);
	}
	
	$pageTemplate = trim($_POST['pageTemplate']);
	$pageTemplate = Utils::fix_quotes($pageTemplate);
	
	$dbTemplate = new DbWeTemplate($mysqli);
	$templateNew = $dbTemplate->GetByName($pageTemplate);
	$pageOld = $page;
	$templateOld = $dbTemplate->GetByName($pageOld->template);
	
	// Check permissions
	if (!array_key_exists($templateNew->id, $user->templates))
		trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);
		
	$pageMenuName = trim($_POST['pageMenuName']);
	$pageTitle = trim($_POST['pageTitle']);
	$visible = isset($_POST['pageVisible']) ? 1 : 0;
	
	$pageMenuName = Utils::fix_quotes($pageMenuName);
	$pageTitle = Utils::fix_quotes($pageTitle);
	
	if (!$dbPageAdmin->update_basic($pageid, $pageMenuName, $pageTitle, $visible))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}
	
	if ($pageTemplate != $pageOld->template)
	{
		if (!$dbPageAdmin->update_template($pageid, $templateNew, $templateOld))
		{
			$mysqli->close();
			trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
		}
	}
	
	$mysqli->close();
	header("Location: page_edit.php?id=$pageid&action=ok");
	exit;
}
else if (isset($_POST['edit_seo']))
{
	if (empty($_POST['pageUrlName']) || !isset($_POST['pageMetaKeywords']) || !isset($_POST['pageMetaDescription']))
	{
		$mysqli->close();
		trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);
	}
	$pageUrlName = Utils::fix_quotes(trim($_POST['pageUrlName']));
	
	if (preg_match("/^[\-_a-zA-Z0-9]+$/", $pageUrlName) == 0)
	{
		$mysqli->close();
		trigger_error(ERROR_PAREMETER_WRONG_FORMAT_MSG, E_USER_ERROR);
	}

	if (preg_match("/^[0-9]+$/", $pageUrlName) == 1)
	{
		$mysqli->close();
		trigger_error(ERROR_PAREMETER_WRONG_FORMAT_MSG, E_USER_ERROR);
	}
	
	$pageMetaKeywords = Utils::fix_quotes(trim($_POST['pageMetaKeywords']));
	$pageMetaDescription = Utils::fix_quotes(trim($_POST['pageMetaDescription']));
	
	if (!$dbPageAdmin->update_seo($pageid, $pageMetaKeywords, $pageMetaDescription, $pageUrlName))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}
	
	$mysqli->close();
	header("Location: page_edit.php?id=$pageid&action=ok");
	exit;
	
}
else if (isset($_POST['edit_advanced']))
{
	if (!$user->set_lock && !$user->set_cache)
		trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);

	if ($user->set_lock)
	{
		$locked = isset($_POST['pageLocked']) ? 1 : 0;

		if (!$dbPageAdmin->set_lock($pageid, $locked))
		{
			$mysqli->close();
			trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
		}
	}
	
	if ($user->set_cache)
	{
		if (!isset($_POST['pageCache']))
		{
			$mysqli->close();
			trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);
		}
		
		$cache = $_POST['pageCache'];
			
		if (preg_match("/^[0-9]+$/", $cache) == 0)
		{
			$mysqli->close();
			trigger_error(ERROR_PAREMETER_WRONG_FORMAT_MSG, E_USER_ERROR);
		}

		if (!$dbPageAdmin->set_cache($pageid, $cache))
		{
			$mysqli->close();
			trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
		}
	}
	$mysqli->close();
	header("Location: page_edit.php?id=$pageid&action=ok");
	exit;
}
else if (isset($_POST['edit_collection']))
{
	if (!$user->manage_page_collections)
		trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);

	if (!isset($_POST['pageCollectionId']) || !isset($_POST['pageCollectionLimit']))
		trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);
		
	$pageCollectionId = $_POST['pageCollectionId'];
	$pageCollectionLimit = $_POST['pageCollectionLimit'];
	
	if (!$dbPageAdmin->update_collection($pageid, $pageCollectionId, $pageCollectionLimit))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}
	$mysqli->close();
	header("Location: page_edit.php?id=$pageid&action=ok");
	exit;
}

trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);

?>
