<?php

include('includes/includes.php');
$user = $_SESSION[WE_SECRET . 'user'];

if (!$user->manage_pages)
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);

if (!isset($_POST['parentId']) || empty($_POST['pageMenuName']) || empty($_POST['pageUrlName']) || empty($_POST['pageTitle']) || empty($_POST['pageTemplate']) || empty($_POST['k']))
	trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);
	
if ($_POST['k'] != md5(WE_SECRET . $_SESSION['challenge']))
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);

if (!$user->set_cache && isset($_POST['pageCache']))
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);
	
if (!$user->manage_page_collections && (isset($_POST['pageCollectionId']) || isset($_POST['pageCollectionLimit'])))
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);
	
if (!$user->set_lock && isset($_POST['pageLocked']))
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);

$parentId = $_POST['parentId'];

$pageMenuName = Utils::fix_quotes(trim($_POST['pageMenuName']));
$pageUrlName = Utils::fix_quotes(trim($_POST['pageUrlName']));
$pageTitle = Utils::fix_quotes(trim($_POST['pageTitle']));
$pageTemplate = Utils::fix_quotes(trim($_POST['pageTemplate']));
$pageCache = empty($_POST['pageCache']) ? 0 : $_POST['pageCache'];
$pageMetaKeywords = Utils::fix_quotes(trim($_POST['pageMetaKeywords']));
$pageMetaDescription = Utils::fix_quotes(trim($_POST['pageMetaDescription']));

if (preg_match("/^[_\-a-zA-Z0-9]+$/", $pageUrlName) == 0)
	trigger_error(ERROR_PAREMETER_WRONG_FORMAT_MSG, E_USER_ERROR);

if (preg_match("/^[0-9]+$/", $pageUrlName) == 1)
	trigger_error(ERROR_PAREMETER_WRONG_FORMAT_MSG, E_USER_ERROR);

$visible = isset($_POST['pageVisible']) ? 1 : 0;
$locked = isset($_POST['pageLocked']) ? 1 : 0;
$pageCollectionId = isset($_POST['pageCollectionId']) ? trim($_POST['pageCollectionId']) : 0;
$pageCollectionLimit = isset($_POST['pageCollectionLimit']) ? trim($_POST['pageCollectionLimit']) : 0;

$mysqli = new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
$dbPageAdmin = new DbPageAdmin($mysqli);
$dbTemplate = new DbWeTemplate($mysqli);
$template = $dbTemplate->GetByName($pageTemplate);

// Kijk of deze user deze template mag gebruiken
if (!array_key_exists($template->id, $user->templates))
{
	$mysqli->close();
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);
}

$p = new Page();
$p->menuname = htmlspecialchars($pageMenuName, ENT_QUOTES);
$p->pathname = $pageUrlName;
$p->visible = $visible;
$p->templateid = $template->id; // PAS OP!
$p->locked = $locked;
$p->collection_id = $pageCollectionId;
$p->collection_limit = $pageCollectionLimit;
$p->cache_minutes = $pageCache;
$p->is_homepage = 0;
$p->meta_keywords = $pageMetaKeywords;
$p->meta_description = $pageMetaDescription;

// Rootpages of sticky pages
if ($parentId == 0 || $parentId == -1)
{
	$p->prepath = '';
	$p->depth = 0;
}
else
{
	$parent = $dbPageAdmin->GetById($parentId);
	$p->prepath = $parent->prepath . $parent->pathname . '/';
	$p->depth = $parent->depth + 1;
}

$p->title = htmlspecialchars($pageTitle, ENT_QUOTES);
$p->parentid = $parentId;


$newId = $dbPageAdmin->Create($p, $template);
$mysqli->close();

if ($newId == 0)
	trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);

header("Location: page_edit.php?id=" . $newId . "&action=ok");

?>
