<?php if (!isset($user) || !$user->manage_collections) exit; ?>

<div id="breadcrumbs">
	<a class="pageLink" href="collections.php"><?php echo BREADCRUMB_COLLECTIONS; ?></a> &gt;
	<span><em><?php echo $collection->name; ?></em></span>
	<?php if (isset($_GET['action']) && $_GET['action'] == 'ok') echo '<span class="actionOk">' . MSG_ACTION_OK . '</span>'; ?>
</div>

<p class="buttonContainer">
	<?php
	if ($user->manage_collectionitems && $collection->items_count > 0)
		echo "<a class='btn' href='collectionitems.php?collectionid=$collection->id'>" . LINK_COLLECTIONITEMS . " ($collection->items_count)</a>";
	else
		echo "<a class='btn disabled'>" . LINK_COLLECTIONITEMS . "</a>";
	if ($user->manage_collectionitems)
		echo '<a class="btn" href="collectionitem_new.php?collectionid=' . $collection->id . '">' . LINK_COLLECTIONITEMNEW . '</a>';
	else
		echo '<a class="btn disabled">' . LINK_COLLECTIONITEMNEW . '</a>';	
	if ($user->manage_comments && $collection->not_accepted_comments_count > 0)
		echo "<a class='btn' href='comments_to_accept.php?collectionid=$collection->id'>" . LINK_COMMENTSTOREVIEW . " ($collection->not_accepted_comments_count)</a>";
	else
		echo "<a class='btn disabled'>" . LINK_COMMENTSTOREVIEW . "</a>";
	if ($user->manage_collectionitems)
		echo "<a class='btn' href='collectiontags.php?collectionid=$collection->id'>" . LINK_TAGS . "</a>";
	else
		echo "<a class='btn disabled'>" . LINK_TAGS . "</a>";
	if ($user->manage_collections)
		echo "<a class='btn deleter' href='collection_delete_do.php?id=$collection->id&amp;k=$actionkey' onclick=\"return confirm('" . CONFIRM_AREYOUSURE . "');\">" . LINK_DELETE . "</a>";
	?>
</p>

<?php
if ($user->manage_collections)
{
?>
<form action="collection_edit_do.php" method="post" id="collectionForm">

	<fieldset>
		<legend><?php echo LEGEND_BASICPROPERTIES; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="collectionName"><?php echo LABEL_NAME; ?></label></td>
				<td><input class="large" type="text" name="collectionName" id="collectionName" value="<?php echo $collection->name; ?>" /></td>
			</tr>
			<tr>
				<td><label for="collectionHasContent"><?php echo LABEL_HASCONTENT; ?></label></td>
				<td><input type="checkbox" name="collectionHasContent" id="collectionHasContent" <?php if ($collection->has_content) echo 'checked="checked"' ?> /></td>
			</tr>
			<tr>
				<td><label for="collectionHasDescription"><?php echo LABEL_HASDESCRIPTION; ?></label></td>
				<td><input type="checkbox" name="collectionHasDescription" id="collectionHasDescription" <?php if ($collection->has_description) echo 'checked="checked"' ?>  /></td>
			</tr>
			<tr>
				<td><label for="collectionHasImage"><?php echo LABEL_HASIMAGE; ?></label></td>
				<td><input type="checkbox" name="collectionHasImage" id="collectionHasImage" <?php if ($collection->has_image) echo 'checked="checked"' ?> /></td>
			</tr>
		</table>
	</fieldset>

	<fieldset>
		<legend><?php echo LEGEND_COMMENTS; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="collectionHasComments"><?php echo LABEL_HASCOMMENTS; ?></label></td>
				<td><input type="checkbox" name="collectionHasComments" id="collectionHasComments" <?php if ($collection->has_comments) echo 'checked="checked"' ?> /></td>
			</tr>
			<tr>
				<td class="firstTd"><label for="collectionCommentsAcceptedDefault"><?php echo LABEL_COMMENTSACCEPTEDDEFAULT; ?></label></td>
				<td><input type="checkbox" name="collectionCommentsAcceptedDefault" id="collectionCommentsAcceptedDefault" <?php if ($collection->comments_accepted_default) echo 'checked="checked"' ?> /></td>
			</tr>
			<tr>
				<td class="firstTd"><label for="collectionCommentsAddEmail"><?php echo LABEL_COMMENTSEMAIL; ?></label></td>
				<td><input class="large" type="text" name="collectionCommentsAddEmail" id="collectionCommentsAddEmail" value="<?php echo $collection->comments_add_email; ?>" /></td>
			</tr>
		</table>
	</fieldset>

	<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
	<input type="hidden" name="collectionid" value="<?php echo $collection->id; ?>" />
	<input type="submit" value="<?php echo BTN_SAVE; ?>" />

</form>

<script type="text/javascript">
<?php include('js/collection.js.php'); ?>
</script>

<?php
}
?>
