<?php if (!isset($user) || !$user->manage_collectionitems) exit; ?>

<div id="breadcrumbs">
	<a class="pageLink" href="collections.php"><?php echo BREADCRUMB_COLLECTIONS; ?></a> &gt;
	<?php
	if ($user->manage_collections)
	{
	?>
		<a class="pageLink" href="collection_edit.php?id=<?php echo $collection->id; ?>"><em><?php echo $collection->name;?></em></a> &gt;
	<?php
	}
	else
	{
	?>
		<a class="pageLink disabled"><em><?php echo $collection->name;?></em></a> &gt;
	<?php
	}
	?>
	<a class="pageLink" href="collectionitems.php?collectionid=<?php echo $collection->id;?>"><?php echo BREADCRUMB_COLLECTIONITEMS; ?></a> &gt;
	<span><em><?php echo $collectionitem->title;?></em></span>
	<?php if (isset($_GET['action']) && $_GET['action'] == 'ok') echo '<span class="actionOk">' . MSG_ACTION_OK . '</span>'; ?>
</div>

<p class="buttonContainer">
	<?php
	if ($collection->has_content)
		echo "<a class='btn' href='collectionitem_content_edit.php?id=$collectionitem->id'>" . LINK_CONTENTEDIT . "</a>";
	if ($user->manage_comments && $collectionitem->accepted_comments_count > 0)
		echo "<a class='btn' href='comments.php?itemid=$collectionitem->id'>" . LINK_ACCEPTED_COMMENTS . " ($collectionitem->accepted_comments_count)</a>";
	else
		echo "<a class='btn disabled'>" . LINK_ACCEPTED_COMMENTS . "</a>";
	?>
	<a class="btn deleter" href="collectionitem_delete_do.php?collectionid=<?php echo $collection->id; ?>&amp;id=<?php echo $collectionitem->id; ?>&amp;k=<?php echo $actionkey; ?>" onclick="return confirm('<?php echo CONFIRM_AREYOUSURE; ?>');"><?php echo LINK_DELETE; ?></a>
</p>

<form action="collectionitem_edit_do.php" method="post" id="collectionItemForm" style="position:relative;" onsubmit="return check_basic_properties()">
	<fieldset>
		<legend><?php echo LEGEND_BASIC_PROPERTIES; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="itemTitle"><?php echo LABEL_TITLE; ?></label></td>
				<td><input class="large" type="text" name="itemTitle" id="itemTitle" value="<?php echo $collectionitem->title; ?>" /></td>
			</tr>
			<tr>
				<td><label for="itemVisible"><?php echo LABEL_VISIBLE; ?></label></td>
				<td><input type="checkbox" name="itemVisible" id="itemVisible" <?php if ($collectionitem->visible) echo 'checked="checked"'; ?> /></td>
			</tr>
			<tr colspan="2">
				<td>
					<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
					<input type="hidden" name="collectionitemid" id="collectionitemid" value="<?php echo $collectionitem->id; ?>" />
					<input type="submit" value="<?php echo BTN_SAVE; ?>" name="edit_basic" />
				</td>
			</tr>
		</table>
	</fieldset>
</form>


<form action="collectionitem_edit_do.php" method="post" id="collectionItemForm" style="position:relative;" onsubmit="return check_seo(false)">
	<fieldset class="toCollapse" id="seoFieldset">
		<legend><?php echo LEGEND_SEO; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="itemUrlTitle"><abbr title="<?php echo LABEL_URLTITLE_ALLOWED_CHARS; ?>"><?php echo LABEL_URLTITLE; ?></abbr></label></td>
				<td><input class="large" type="text" name="itemUrlTitle" id="itemUrlTitle" value="<?php echo $collectionitem->url_title; ?>" /> <a class="inputHelper" href="javascript:void(0);" onclick="return setUrlFromTitle();"><?php echo LINK_COPYASURL; ?></a></td>
			</tr>
			<tr>
				<td><label for="itemMetaKeywords"><?php echo LABEL_META_KEYWORDS; ?></label></td>
				<td><input type="text" class="large" id="itemMetaKeywords" name="itemMetaKeywords" value="<?php echo $collectionitem->meta_keywords; ?>" <?php echo $lockedDisabled; ?> /></td>
			</tr>
			<tr>
				<td><label for="itemMetaDescription"><?php echo LABEL_META_DESCRIPTION; ?></label></td>
				<td><textarea class="descriptionArea" name="itemMetaDescription" id="itemMetaDescription" <?php echo $lockedDisabled; ?>><?php echo $collectionitem->meta_description; ?></textarea></td>
			</tr>
			<tr colspan="2">
				<td>
					<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
					<input type="hidden" name="collectionitemid" id="collectionitemid" value="<?php echo $collectionitem->id; ?>" />
					<input type="submit" value="<?php echo BTN_SAVE; ?>" name="edit_seo" />
				</td>
			</tr>
		</table>
	</fieldset>
</form>

<form action="collectionitem_edit_do.php" method="post" id="collectionItemForm" style="position:relative;">
	<fieldset class="toCollapse">
		<legend><?php echo LEGEND_TAGS; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label><?php echo LABEL_TAGS; ?></label></td>
				<td>
					<?php
					if (!empty($tags))
					{
						echo '<div class="listBox"><ul class="pageList">';
						foreach ($tags as $key => $value)
						{
							$checked = (!empty($collectionitem->tags) && in_array($value, $collectionitem->tags)) ? 'checked="checked"' : '';
							echo "<li><input $checked type='checkbox' name='tags[]' id='tag_$key' value=\"$key\"> <label for='tag_$key'>$value</label></li>";
						}
						echo '</ul></div>';
					}
					else
					{
						echo '<p>' . MSG_NOTAGS . '</p>';
					}
					?>
				</td>
			</tr>
			<?php if (!empty($tags)) echo '<tr colspan="2"><td><input type="hidden" name="k" id="k" value="' . $actionkey . '" /><input type="hidden" name="collectionitemid" id="collectionitemid" value="' . $collectionitem->id . '" /><input name="edit_tags" type="submit" value="' . BTN_SAVE . '" /></td></tr>'; ?>
		</table>
	</fieldset>
</form>
	
	<?php
	if ($collection->has_comments)
	{
	?>
		<form action="collectionitem_edit_do.php" method="post" id="collectionItemForm" style="position:relative;">
			<fieldset class="toCollapse">
				<legend><?php echo LEGEND_COMMENTS; ?></legend>
				<table cellpadding="4px">
					<tr>
						<td class="firstTd"><label for="itemCommentsClosed"><?php echo LABEL_COMMENTSCLOSED; ?></label></td>
						<td><input type="checkbox" name="itemCommentsClosed" id="itemCommentsClosed" <?php if ($collectionitem->comments_closed) echo 'checked="checked"'; ?> /></td>
					</tr>
					<tr colspan="2">
						<td>
							<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
							<input type="hidden" name="collectionitemid" id="collectionitemid" value="<?php echo $collectionitem->id; ?>" />
							<input type="submit" value="<?php echo BTN_SAVE; ?>" name="edit_comments_closed" />
						</td>
					</tr>
				</table>
			</fieldset>
		</form>
	<?php
	}
	?>
	
	<?php
	if ($collection->has_image)
	{
	?>
		<form action="collectionitem_edit_do.php" method="post" id="collectionItemForm" style="position:relative;">
			<fieldset style="position:relative;">
				<div style="position:absolute; top:0; right:0;"><img id="image" src="<?php if (!empty($collectionitem->image)) echo $collectionitem->image; ?>" /></div>
				<legend><?php echo LEGEND_IMAGE; ?></legend>
				<table cellpadding="4px">
					<tr>
						<td class="firstTd"><label for="itemImage"><a href="" onclick="return addImage();"><?php echo LABEL_IMAGE; ?></a></label></td>
						<td><input class="large" type="text" name="itemImage" id="itemImage" value="<?php if (!empty($collectionitem->image)) echo $collectionitem->image; ?>" /> <a class="inputHelper" href="" onclick="return deleteImage();"><?php echo LINK_DELETEIMAGE; ?></a></td>
					</tr>
					<tr colspan="2">
						<td>
							<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
							<input type="hidden" name="collectionitemid" id="collectionitemid" value="<?php echo $collectionitem->id; ?>" />
							<input type="submit" value="<?php echo BTN_SAVE; ?>" name="edit_image" />
						</td>
					</tr>
				</table>
			</fieldset>
		</form>
	<?php
	}
	?>
	
	<?php
	if ($collection->has_description)
	{
	?>
		<form action="collectionitem_edit_do.php" method="post" id="collectionItemForm" style="position:relative;">
			<fieldset>
				<legend><?php echo LEGEND_DESCRIPTION; ?></legend>
				<table cellpadding="4px">
					<tr>
						<td class="firstTd"><label for="itemDescription"><?php echo LABEL_DESCRIPTION; ?></label></td>
						<td><textarea class="descriptionArea" name="itemDescription" id="itemDescription"><?php echo $collectionitem->description; ?></textarea></td>
					</tr>
					<tr colspan="2">
						<td>
							<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
							<input type="hidden" name="collectionitemid" id="collectionitemid" value="<?php echo $collectionitem->id; ?>" />
							<input type="submit" value="<?php echo BTN_SAVE; ?>" name="edit_description" />
						</td>
					</tr>
				</table>
			</fieldset>
		</form>
	<?php
	}
	?>

<script type="text/javascript">
<?php include('js/collectionitem.js.php'); ?>
</script>