<?php if (!isset($user) || !$user->manage_collectionitems) exit; ?>

<div id="breadcrumbs">
	<a class="pageLink" href="collections.php"><?php echo BREADCRUMB_COLLECTIONS; ?></a> &gt;
	<?php
	if ($user->manage_collections)
	{
	?>
		<a class="pageLink" href="collection_edit.php?id=<?php echo $collection->id; ?>"><em><?php echo $collection->name;?></em></a> &gt;
	<?php
	}
	else
	{
	?>
		<a class="pageLink disabled"><em><?php echo $collection->name;?></em></a> &gt;
	<?php
	}
	?>
	<span><?php echo BREADCRUMB_COLLECTIONITEMNEW; ?></span>
</div>

<form action="collectionitem_new_do.php" method="post" id="collectionItemForm" style="position:relative;" onsubmit="return check_all()">

	<fieldset>
		<legend><?php echo LEGEND_BASIC_PROPERTIES; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="itemTitle"><?php echo LABEL_TITLE; ?></label></td>
				<td><input class="large" type="text" name="itemTitle" id="itemTitle" /></td>
			</tr>
			<tr>
				<td><label for="itemVisible"><?php echo LABEL_VISIBLE; ?></label></td>
				<td><input type="checkbox" name="itemVisible" id="itemVisible" checked="checked" /></td>
			</tr>
		</table>
	</fieldset>
	
	<fieldset class="toCollapse" id="seoFieldset">
		<legend><?php echo LEGEND_SEO; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="itemUrlTitle"><abbr title="<?php echo LABEL_URLTITLE_ALLOWED_CHARS; ?>"><?php echo LABEL_URLTITLE; ?></abbr></label></td>
				<td><input class="large" type="text" name="itemUrlTitle" id="itemUrlTitle" /> <a class="inputHelper" href="javascript:void(0);" onclick="return setUrlFromTitle();"><?php echo LINK_COPYASURL; ?></a></td>
			</tr>
			<tr>
				<td><label for="itemMetaKeywords"><?php echo LABEL_META_KEYWORDS; ?></label></td>
				<td><input type="text" class="large" id="itemMetaKeywords" name="itemMetaKeywords" /></td>
			</tr>
			<tr>
				<td><label for="itemMetaDescription"><?php echo LABEL_META_DESCRIPTION; ?></label></td>
				<td><textarea class="descriptionArea" name="itemMetaDescription" id="itemMetaDescription"></textarea></td>
			</tr>
		</table>
	</fieldset>

	<fieldset class="toCollapse">
		<legend><?php echo LEGEND_TAGS; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label><?php echo LABEL_TAGS; ?></label></td>
				<td>
					<?php
					if (!empty($tags))
					{
						echo '<div class="listBox"><ul class="pageList">';
						foreach ($tags as $key => $value)
						{
							echo "<li><input type='checkbox' name='tags[]' id='tag_$key' value=\"$key\"> <label for='tag_$key'>$value</label></li>";
						}
						echo '</ul></div>';
					}
					else
					{
						echo '<p>' . MSG_NOTAGS . '</p>';
					}
					?>
				</td>
			</tr>
		</table>
	</fieldset>

	<?php
	if ($collection->has_comments)
	{
	?>
		<fieldset class="toCollapse">
			<legend><?php echo LEGEND_COMMENTS; ?></legend>
			<table cellpadding="4px">
				<tr>
					<td class="firstTd"><label for="itemCommentsClosed"><?php echo LABEL_COMMENTSCLOSED; ?></label></td>
					<td><input type="checkbox" name="itemCommentsClosed" id="itemCommentsClosed" /></td>
				</tr>
			</table>
		</fieldset>
	<?php
	}
	?>
	
	
	<?php
	if ($collection->has_image)
	{
	?>
		<fieldset style="position:relative;">
			<div style="position:absolute; top:0; right:0;"><img id="image" src="" /></div>
			<legend><?php echo LEGEND_IMAGE; ?></legend>
			<table cellpadding="4px">
				<tr>
					<td class="firstTd"><label for="itemImage"><a href="" onclick="return addImage();"><?php echo LABEL_IMAGE; ?></a></label></td>
					<td><input class="large" type="text" name="itemImage" id="itemImage" /> <a class="inputHelper" href="" onclick="return deleteImage();"><?php echo LINK_DELETEIMAGE; ?></a></td>
				</tr>
			</table>
		</fieldset>
	<?php
	}
	?>
	
	<?php
	if ($collection->has_description)
	{
	?>
		<fieldset>
			<legend><?php echo LEGEND_DESCRIPTION; ?></legend>
			<table cellpadding="4px">
				<tr>
					<td class="firstTd"><label for="itemDescription"><?php echo LABEL_DESCRIPTION; ?></label></td>
					<td><textarea class="descriptionArea" name="itemDescription" id="itemDescription"></textarea></td>
				</tr>
			</table>
		</fieldset>	
	<?php
	}
	?>

	<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
	<input type="hidden" name="collectionid" id="collectionid" value="<?php echo $collection->id; ?>" />

	<input type="submit" value="<?php echo BTN_SAVE; ?>" />

</form>

<script type="text/javascript">
<?php include('js/collectionitem.js.php'); ?>
</script>