<?php if (!isset($user)) exit; ?>

<?php
$lockedDisabled = ($page->locked) ? 'disabled=\'disabled\'' : '';
?>

<div id="breadcrumbs">
	<a href="index.php" class="pageLink"><?php echo BREADCRUMB_PAGES; ?></a> &gt;
	<span><em><?php echo $page->menuname . ' (' . $page->prepath . $page->pathname . ')'; ?></em></span>
	<?php if (isset($_GET['action']) && $_GET['action'] == 'ok') echo '<span class="actionOk">' . MSG_ACTION_OK . '</span>'; ?>
</div> <!-- breadcrumbs -->

<p class="buttonContainer">
	<?php
	if ($page->locked)
		echo '<span class="pagelockedmsg">' . MSG_PAGE_LOCKED . '</span>';
	
	if (array_key_exists($template->id, $user->template_contentids))
	{
		$contentids = $user->template_contentids[$template->id]->content;
		if (!empty($contentids) > 0)
		{
			if ($page->locked)
				echo '<a class="btn disabled">|</a>';
			foreach ($contentids as $contentid => $description)
				echo '<a class="btn contenteditbtn" target="_blank" href="page_content_edit.php?id=' . $page->id . '&amp;contentid=' . $contentid . '">' . $description . '</a>';
		}
	}
	
	if (!empty($orphaned_content))
	{
		if (!empty($contentids))
			echo '<a class="btn disabled">|</a>';
		echo '<a class="btn warning" href="page_orphaned_content.php?id=' . $page->id . '">' . LINK_ORPHANED_CONTENT . '</a>';
	}
	if (!empty($contentids) || !empty($orphaned_content))
		echo '<a class="btn disabled">|</a>';
	
	if (!$page->locked && $user->manage_pages && $page->parentid != -1)
		echo "<a class=\"btn\" href=\"page_new.php?parentid=$page->id\">" . LINK_NEWSUBPAGE . "</a><a class='btn disabled'>|</a>";
	echo "<a class='btn' href='" . WE_PATH_SUB . "/$page->prepath$page->pathname/' target='_blank'>" . LINK_VIEW . "</a>";
	if ($user->manage_pages && !$page->locked)
		echo "<a class='btn disabled'>|</a><a class=\"btn deleter\" href=\"page_del.php?id=$page->id&amp;k=$actionkey\" onclick=\"return confirm('" . CONFIRM_AREYOUSURE . "');\">" . LINK_DELETE . "</a>";
	?>
</p>

<?php
if ($user->manage_pages)
{
?>

<form action="page_edit_do.php" method="post" onsubmit="return check_basic_properties()">
	<fieldset>
		<legend><?php echo LEGEND_BASICPROPERTIES; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="pageMenuName"><?php echo LABEL_MENUNAME; ?></label></td>
				<td><input class="large" type="text" name="pageMenuName" id="pageMenuName" value="<?php echo $page->menuname; ?>" <?php echo $lockedDisabled; ?> /></td>
			</tr>
			<tr>
				<td><label for="pageTitle"><?php echo LABEL_TITLE; ?></label></td>
				<td><input class="large" type="text" name="pageTitle" id="pageTitle" value="<?php echo $page->title; ?>" <?php echo $lockedDisabled; ?> /></td>
			</tr>
			<tr>
				<td style="width:120px;"><label for="pageVisible"><?php echo LABEL_VISIBLE; ?></label></td>
				<td><input type="checkbox" name="pageVisible" id="pageVisible" <?php if ($page->visible) echo 'checked="checked"'; ?> <?php echo $lockedDisabled; ?> /></td>
			</tr>
			<tr>
				<td class="firstTd"><label for="pageTemplate"><?php echo LABEL_TEMPLATE; ?></label></td>
				<td>
					<?php
					$hasTemplate = false;
					$options = array('<option value="">' . OPTION_TEMPLATE . '</option>');
					foreach ($user->templates as $templateId => $template)
					{
						$selected = '';
						if ($template->name == $page->template)
						{
							$hasTemplate = true;
							$selected = 'selected="selected"';
						}
						$options[] = '<option ' . $selected . ' value="' . $template->name . '">' . $template->name . '</option>';
					}
					$disabled = $lockedDisabled;
					if (!$hasTemplate)
					{
						$disabled = 'disabled="disabled"';
						$options[] = '<option selected="selected">' . $page->template . '</option>';
					}
					echo '<select name="pageTemplate" id="pageTemplate" ' . $disabled . '>' . implode('', $options) . '</select>';
					?>
				</td>
			</tr>
			<tr colspan="2">
				<td>
					<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
					<input type="hidden" name="pageid" id="pageid" value="<?php echo $page->id; ?>" />
					<input type="submit" value="<?php echo BTN_SAVE; ?>" name="edit_basic" <?php echo $lockedDisabled; ?> />
				</td>
			</tr>
		</table>
	</fieldset>
</form>

<form action="page_edit_do.php" method="post" onsubmit="return check_seo(false);">
	<fieldset class="toCollapse" id="seoFieldset">
		<legend><?php echo LEGEND_SEO; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="pageUrlName"><abbr title="<?php echo LABEL_URLNAME_ALLOWED_CHARS; ?>"><?php echo LABEL_URLNAME; ?></abbr></label></td>
				<td><input class="large" type="text" name="pageUrlName" id="pageUrlName" value="<?php echo $page->pathname; ?>" <?php echo $lockedDisabled; ?> /> <a class="inputHelper" href="javascript:void(0);" onclick="return setUrlFromMenu();"><?php echo LINK_COPYASURL; ?></a></td>
			</tr>
			<tr>
				<td><label for="pageMetaKeywords"><?php echo LABEL_META_KEYWORDS; ?></label></td>
				<td><input type="text" class="large" id="pageMetaKeywords" name="pageMetaKeywords" value="<?php echo $page->meta_keywords; ?>" <?php echo $lockedDisabled; ?> /></td>
			</tr>
			<tr>
				<td><label for="pageMetaDescription"><?php echo LABEL_META_DESCRIPTION; ?></label></td>
				<td><textarea class="descriptionArea" name="pageMetaDescription" id="pageMetaDescription" <?php echo $lockedDisabled; ?>><?php echo $page->meta_description; ?></textarea></td>
			</tr>
			<tr colspan="2">
				<td>
					<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
					<input type="hidden" name="pageid" id="pageid" value="<?php echo $page->id; ?>" />
					<input type="submit" value="<?php echo BTN_SAVE; ?>" name="edit_seo" <?php echo $lockedDisabled; ?> />
				</td>
			</tr>
		</table>
	</fieldset>
</form>

<form action="page_edit_do.php" method="post">
	<fieldset class="toCollapse">
		<legend><?php echo LEGEND_ADVANCED; ?></legend>
		<table cellpadding="4px">
			<tr>
				<?php $disabled = $user->set_lock ? $lockedDisabled : 'disabled="disabled"'; ?>
				<td class="firstTd"><label for="pageLocked"><?php echo LABEL_LOCKED; ?></label></td>
				<td>
					<input type="checkbox" name="pageLocked" id="pageLocked" <?php if ($page->locked) echo 'checked="checked"'; ?> <?php echo $disabled; ?> />
					<?php
					if ($page->locked && $user->set_lock)
						echo '<a class="inputHelper" href="page_edit_do.php?id=' . $page->id . '&amp;do=unlock&amp;k=' . $actionkey . '">Unlock this page</a>';
					?>
				</td>
			</tr>
			<?php
			if (WE_CACHE)
			{
			?>
			<tr>
				<?php $disabled = $user->set_cache ? $lockedDisabled : 'disabled="disabled"'; ?>
				<td class="firstTd"><label for="pageCache"><?php echo LABEL_CACHE; ?></label></td>
				<td>
					<input type="text" name="pageCache" id="pageCache" value="<?php echo $page->cache_minutes; ?>" <?php echo $disabled; ?> />
					<?php
					if ($has_cache_dir)
					{
						if ($user->set_cache && !$page->locked)
							echo '<a class="inputHelper" href="page_edit_do.php?id=' . $page->id . '&amp;do=clear_cache&amp;k=' . $actionkey . '">' . LINK_CLEAR_CACHE . '</a>';
						else
							echo '<a class="inputHelper disabled">' . LINK_CLEAR_CACHE . '</a>';
					}
					else
						echo '<a class="inputHelper disabled">' . MSG_NO_CACHE . '</a>';
					?>
				</td>
			</tr>
			<?php
			}
			?>
			<tr colspan="2">
				<td>
					<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
					<input type="hidden" name="pageid" id="pageid" value="<?php echo $page->id; ?>" />
					<input type="submit" value="<?php echo BTN_SAVE; ?>" name="edit_advanced" <?php echo $disabled; ?> />
				</td>
			</tr>
		</table>
	</fieldset>
</form>

<form action="page_edit_do.php" method="post">
	<fieldset class="toCollapse">
		<?php $disabled = $user->manage_page_collections ? $lockedDisabled : 'disabled="disabled"'; ?>
		<legend><?php echo LEGEND_ASSOCCOLLECTION; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="pageCollectionId"><?php echo LABEL_COLLECTION; ?></label></td>
				<td>
					<select name="pageCollectionId" id="pageCollectionId" <?php echo $disabled; ?>>
						<option value='0'><?php echo OPTION_NOCOLLECTION; ?></option>
						<?php
						foreach ($collections as $collection)
						{
							$selected = $page->collection_id == $collection->id ? "selected='selected'" : '';
							echo "<option $selected value='$collection->id'>$collection->name</option>";
						}
						?>
					</select>
				</td>
			</tr>
			<tr>
				<td><label for="pageCollectionLimit"><?php echo LABEL_COLLECTIONITEMSCOUNTPERPAGE; ?></label></td>
				<td><input type="text" name="pageCollectionLimit" id="pageCollectionLimit" value="<?php echo $page->collection_limit; ?>" <?php echo $disabled; ?> /></td>
			</tr>
			<tr>
				<td>
					<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
					<input type="hidden" name="pageid" id="pageid" value="<?php echo $page->id; ?>" />
					<input type="submit" value="<?php echo BTN_SAVE; ?>" name="edit_collection" <?php echo $disabled; ?> />
				</td>
			</tr>
		</table>
	</fieldset>
</form>

<script type="text/javascript">
<?php include('js/page_properties.js.php'); ?>
</script>

<?php
} // if ($user->manage_pages)
?>
