<?php if (!isset($user) || !$user->manage_pages) exit; ?>

<div id="breadcrumbs">
	<a class="pageLink" href="index.php"><?php echo BREADCRUMB_PAGES; ?></a>
	<?php
	if ($parentPage != null)
	{
		if (!$user->manage_pages)
			echo "&gt; <a class='pageLink disabled'><em>$parentPage->menuname ($parentPage->prepath$parentPage->pathname)</em></a> &gt; <span>" . BREADCRUMB_NEWSUBPAGE . "</span>";
		else
			echo "&gt; <a class='pageLink' href='page_edit.php?id=$parentId'><em>$parentPage->menuname ($parentPage->prepath$parentPage->pathname)</em></a> &gt; <span>" . BREADCRUMB_NEWSUBPAGE . "</span>";
	}
	else
	{
		echo '&gt; <span>' . BREADCRUMB_NEWPAGE . '</span>';
	}
	?>
</div><!-- #breadcrumbs -->

<form action="page_new_do.php" method="post" id="pageForm" onsubmit="return check_all();">

	<fieldset>
		<legend><?php echo LEGEND_BASICPROPERTIES; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="pageMenuName"><?php echo LABEL_MENUNAME; ?></label></td>
				<td><input class="large" type="text" name="pageMenuName" id="pageMenuName" /></td>
			</tr>
			<tr>
				<td><label for="pageTitle"><?php echo LABEL_TITLE; ?></label></td>
				<td><input class="large" type="text" name="pageTitle" id="pageTitle" /></td>
			</tr>
			<tr>
				<td style="width:120px;"><label for="pageVisible"><?php echo LABEL_VISIBLE; ?></label></td>
				<td><input type="checkbox" name="pageVisible" id="pageVisible" checked="checked" /></td>
			</tr>
			<tr>
				<td><label for="pageTemplate"><?php echo LABEL_TEMPLATE; ?></label></td>
				<td>
					<select name="pageTemplate" id="pageTemplate">
						<?php
						echo '<option value="">' . OPTION_TEMPLATE . '</option>';
						foreach ($user->templates as $templateId => $template)
							echo '<option value="' . $template->name . '">' . $template->name . '</option>';
						?>
					</select>
				</td>
			</tr>
		</table>
	</fieldset>
	
	<fieldset class="toCollapse" id="seoFieldset">
		<legend><?php echo LEGEND_SEO; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="pageUrlName"><abbr title="<?php echo LABEL_URLNAME_ALLOWED_CHARS; ?>"><?php echo LABEL_URLNAME; ?></abbr></label></td>
				<td><input class="large" type="text" name="pageUrlName" id="pageUrlName" /> <a class="inputHelper" href="javascript:void(0);" onclick="return setUrlFromMenu();"><?php echo LINK_COPYASURL; ?></a></td>
			</tr>
			<tr>
				<td><label for="pageMetaKeywords"><?php echo LABEL_META_KEYWORDS; ?></label></td>
				<td><input type="text" class="large" id="pageMetaKeywords" name="pageMetaKeywords" /></td>
			</tr>
			<tr>
				<td><label for="pageMetaDescription"><?php echo LABEL_META_DESCRIPTION; ?></label></td>
				<td><textarea class="descriptionArea" name="pageMetaDescription" id="pageMetaDescription"></textarea></td>
			</tr>
		</table>
	</fieldset>

	<fieldset class="toCollapse">
		<legend><?php echo LEGEND_ADVANCED; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="pageLocked"><?php echo LABEL_LOCKED; ?></label></td>
				<td>
					<?php $disabled = $user->set_lock ? '' : 'disabled="disabled"'; ?>
					<input type="checkbox" name="pageLocked" id="pageLocked" <?php echo $disabled; ?> />
				</td>
			</tr>
			<?php
			if (WE_CACHE)
			{
			?>
			<tr>
				<td class="firstTd"><label for="pageCache"><?php echo LABEL_CACHE; ?></label></td>
				<td>
					<?php $disabled = $user->set_cache ? '' : 'disabled="disabled"'; ?>
					<input type="text" name="pageCache" id="pageCache" value="0" <?php echo $disabled; ?> />
				</td>
			</tr>
			<?php
			}
			?>
		</table>
	</fieldset>

	<fieldset class="toCollapse">
		<legend><?php echo LEGEND_ASSOCCOLLECTION; ?></legend>
		<?php $disabled = $user->manage_page_collections ? '' : 'disabled="disabled"'; ?>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="pageCollectionId"><?php echo LABEL_COLLECTION; ?></label></td>
				<td>
					<select name="pageCollectionId" id="pageCollectionId" <?php echo $disabled; ?>>
						<option value='0'><?php echo OPTION_NOCOLLECTION; ?></option>
						<?php
						foreach ($collections as $collection)
							echo "<option value='$collection->id'>$collection->name</option>";
						?>
					</select>
				</td>
			</tr>
			<tr>
				<td><label for="pageCollectionLimit"><?php echo LABEL_COLLECTIONITEMSCOUNTPERPAGE; ?></label></td>
				<td><input type="text" name="pageCollectionLimit" id="pageCollectionLimit" value="0" <?php echo $disabled; ?> /></td>
			</tr>
		</table>
	</fieldset>

	<input type="hidden" name="parentId" id="parentId" value="<?php echo $parentId; ?>" />
	<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />

	<input type="submit" value="<?php echo BTN_SAVE; ?>" />

</form>

<script type="text/javascript">
<?php include('js/page_properties.js.php'); ?>
</script>