<?php if (!isset($user) || !$user->manage_users) exit; ?>

<div id="breadcrumbs">
	<a class="pageLink" href="users.php"><?php echo BREADCRUMB_USERS; ?></a> &gt;
	<span><?php echo BREADCRUMB_NEWUSER; ?></span>
</div>

<form action="user_new_do.php" method="post" id="userForm">

	<fieldset>
		<legend><?php echo LEGEND_BASIC; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="userName"><?php echo LABEL_NAME; ?></label></td>
				<td><input class="large" type="text" name="userName" id="userName" /></td>
			</tr>
			<tr>
				<td><label for="userPwd"><?php echo LABEL_PASSWORD; ?></label></td>
				<td><input class="large" type="password" name="userPwd" id="userPwd" /></td>
			</tr>
			<tr>
				<td><label for="userPwd2"><?php echo LABEL_PASSWORDCHECK; ?></label></td>
				<td><input class="large" type="password" name="userPwd2" id="userPwd2" /></td>
			</tr>
			<tr>
				<td><label for="userEmail"><?php echo LABEL_EMAIL; ?></label></td>
				<td><input class="large" type="text" name="userEmail" id="userEmail" /></td>
			</tr>
			<tr>
				<td><label for="userDescription"><?php echo LABEL_DESCRIPTION; ?></label></td>
				<td><input class="large" type="text" name="userDescription" id="userDescription" /></td>
			</tr>
		</table>
	</fieldset>

	<fieldset>
		<legend><?php echo LEGEND_PERMISSIONS; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="user_manage_media"><?php echo LABEL_MANAGE_MEDIA; ?></label></td>
				<td><input type="checkbox" name="user_manage_media" id="user_manage_media" /></td>
			</tr>
			<tr>
				<td><label for="user_manage_pages"><?php echo LABEL_MANAGE_PAGES; ?></label></td>
				<td><input type="checkbox" name="user_manage_pages" id="user_manage_pages" /></td>
			</tr>
			<tr>
				<td><label for="user_manage_page_collections"><?php echo LABEL_MANAGE_PAGE_COLLECTIONS; ?></label></td>
				<td><input type="checkbox" name="user_manage_page_collections" id="user_manage_page_collections" /></td>
			</tr>
			<tr>
				<td><label for="user_sort_pages"><?php echo LABEL_SORT_PAGES; ?></label></td>
				<td><input type="checkbox" name="user_sort_pages" id="user_sort_pages" /></td>
			</tr>
			<tr>
				<td><label for="user_manage_collections"><?php echo LABEL_MANAGE_COLLECTIONS; ?></label></td>
				<td><input type="checkbox" name="user_manage_collections" id="user_manage_collections" /></td>
			</tr>
			<tr>
				<td><label for="user_manage_users"><?php echo LABEL_MANAGE_USERS; ?></label></td>
				<td><input type="checkbox" name="user_manage_users" id="user_manage_users" /></td>
			</tr>
			<tr>
				<td><label for="user_manage_comments"><?php echo LABEL_MANAGE_COMMENTS; ?></label></td>
				<td><input type="checkbox" name="user_manage_comments" id="user_manage_comments" /></td>
			</tr>
			<tr>
				<td><label for="user_manage_collectionitems"><?php echo LABEL_MANAGE_COLLECTIONITEMS; ?></label></td>
				<td><input type="checkbox" name="user_manage_collectionitems" id="user_manage_collectionitems" /></td>
			</tr>
			<tr>
				<td><label for="user_set_cache"><?php echo LABEL_SET_CACHE; ?></label></td>
				<td><input type="checkbox" name="user_set_cache" id="user_set_cache" /></td>
			</tr>
			<tr>
				<td><label for="user_manage_config"><?php echo LABEL_MANAGE_CONFIG; ?></label></td>
				<td><input type="checkbox" name="user_manage_config" id="user_manage_config" /></td>
			</tr>
			<tr>
				<td><label for="user_set_lock"><?php echo LABEL_SET_LOCK; ?></label></td>
				<td><input type="checkbox" name="user_set_lock" id="user_set_lock" /></td>
			</tr>
			<tr>
				<td><label for="user_manage_templates"><?php echo LABEL_MANAGE_TEMPLATES; ?></label></td>
				<td><input type="checkbox" name="user_manage_templates" id="user_manage_templates" /></td>
			</tr>
		</table>
	</fieldset>

	<fieldset>
		<legend><?php echo LEGEND_TPL_PERMISSIONS; ?></legend>
		<table cellpadding="4px">
			<tr>
				<td class="firstTd"><label for="user_page_templates"><?php echo LABEL_PAGE_TEMPLATES; ?></label></td>
				<td>
					<div class="listBox">
						<ul class="pageList">
							<?php
							foreach ($user->templates as $templateid => $template)
								echo "<li><input type='checkbox' name='user_page_templates[]' id='tpl:$templateid' value='$templateid'> <label for='tpl:$templateid'>$template->name</label></li>";
							?>
						</ul>
					</div>
				</td>
			</tr>
			<tr>
				<td><label for="user_template_contentids"><?php echo LABEL_TEMPLATE_CONTENTIDS; ?></label></td>
				<td>
					<div class="listBox">
						<ul class="pageList">
							<?php
							foreach ($user->template_contentids as $templateid => $template)
							{
								echo "<li><strong>$template->name</strong><ul class='pageList'>";
								foreach ($template->content as $contentid => $description)
									echo "<li><input type='checkbox' name='user_template_contentids[]' id='tpl:$templateid:$contentid' value='$templateid:$contentid'> <label for='tpl:$templateid:$contentid'>$contentid</label></li>";
								echo "</ul></li>";
							}
							?>
						</ul>
					</div>
				</td>
			</tr>
		</table>
	</fieldset>

	<input type="hidden" name="k" id="k" value="<?php echo $actionkey; ?>" />
	<input type="hidden" name="pwdc" id="pwdc" />

	<input type="submit" value="<?php echo BTN_SAVE; ?>" />

</form>

<script type="text/javascript" src="js/sha1.js"></script>
<script type="text/javascript">
<?php
include('js/user_new.js.php');
?>
</script>