<?php

include('includes/includes.php');
$user = $_SESSION[WE_SECRET . 'user'];

if (!$user->manage_users)
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);

if (empty($_POST['userid']) || empty($_POST['k']))
	trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);
	
if ($_POST['k'] != md5(WE_SECRET . $_SESSION['challenge']))
	trigger_error(ERROR_USERRIGHTS_MSG, E_USER_ERROR);
	
$userid = $_POST['userid'];

if (isset($_POST['edit_basic']))
{
	if (empty($_POST['userName']) || !isset($_POST['userPwd']) || !isset($_POST['userPwd2']) || !isset($_POST['userEmail']) || !isset($_POST['userDescription']) || !isset($_POST['pwdc']))
		trigger_error(ERROR_PAREMETER_MSG, E_USER_ERROR);
	
	$username = Utils::fix_quotes($_POST['userName']);
	$pwdc = $_POST['pwdc'];
	$description = Utils::fix_quotes(trim($_POST['userDescription']));
	$userEmail = trim($_POST['userEmail']);
	if (!empty($userEmail))
	{
		if (preg_match("/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$/", $userEmail) == 0)
			trigger_error(ERROR_PAREMETER_WRONG_FORMAT_MSG, E_USER_ERROR);
	}
	
	$mysqli = new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
	$dbUser = new DbUser($mysqli);
	
	if (!$dbUser->update_basic($userid, $username, $pwdc, $userEmail, $description))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}
	
	if ($userid == 1)
	{
		$dbConfig = new DbConfigAdmin($mysqli);
		if (!$dbConfig->SetValue('contact_email', $userEmail))
		{
			$mysqli->close();
			trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
		}
	}
	
	// Update the session user (NOT password).
	if ($userid == $user->id)
	{
		$user->name = $username;
		$user->email = $userEmail;
		$user->description = $description;
	}
	
	$mysqli->close();
	header('Location: user_edit.php?id=' . $userid . '&action=ok');
	exit;
}

if (isset($_POST['edit_permissions']))
{
	$newuser = new User();
	$newuser->manage_media = ($userid == 1 || isset($_POST['user_manage_media'])) ? 1 : 0;
	$newuser->manage_pages = ($userid == 1 || isset($_POST['user_manage_pages'])) ? 1 : 0;
	$newuser->manage_page_collections = ($userid == 1 || isset($_POST['user_manage_page_collections'])) ? 1 : 0;
	$newuser->sort_pages = ($userid == 1 || isset($_POST['user_sort_pages'])) ? 1 : 0;
	$newuser->manage_collections = ($userid == 1 || isset($_POST['user_manage_collections'])) ? 1 : 0;
	$newuser->manage_users = ($userid == 1 || isset($_POST['user_manage_users'])) ? 1 : 0;
	$newuser->manage_comments = ($userid == 1 || isset($_POST['user_manage_comments'])) ? 1 : 0;
	$newuser->manage_collectionitems = ($userid == 1 || isset($_POST['user_manage_collectionitems'])) ? 1 : 0;
	$newuser->set_cache = ($userid == 1 || isset($_POST['user_set_cache'])) ? 1 : 0;
	$newuser->manage_config = ($userid == 1 || isset($_POST['user_manage_config'])) ? 1 : 0;
	$newuser->set_lock = ($userid == 1 || isset($_POST['user_set_lock'])) ? 1 : 0;
	$newuser->manage_templates = ($userid == 1 || isset($_POST['user_manage_templates'])) ? 1 : 0;
	
	$mysqli = new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
	$dbUser = new DbUser($mysqli);
	
	if (!$dbUser->update_permissions($userid, $newuser))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}
	
	// Update the session user.
	if ($userid == $user->id)
	{
		$user->manage_media = $newuser->manage_media;
		$user->manage_pages = $newuser->manage_pages;
		$user->manage_page_collections = $newuser->manage_page_collections;
		$user->sort_pages = $newuser->sort_pages;
		$user->manage_collections = $newuser->manage_collections;
		$user->manage_users = $newuser->manage_users;
		$user->manage_comments = $newuser->manage_comments;
		$user->manage_collectionitems = $newuser->manage_collectionitems;
		$user->set_cache = $newuser->set_cache;
		$user->manage_config = $newuser->manage_config;
		$user->set_lock = $newuser->set_lock;
		$user->manage_templates = $newuser->manage_templates;
	}
	
	$mysqli->close();
	header('Location: user_edit.php?id=' . $userid . '&action=ok');
	exit;
}

if (isset($_POST['edit_template_permissions']))
{
	$templates = isset($_POST['user_page_templates']) ? $_POST['user_page_templates'] : array(); // array van templateids!
	$template_contentids = array(); // templateid => array van contentids
	if (isset($_POST['user_template_contentids']))
	{
		foreach ($_POST['user_template_contentids'] as $i) // array van templateid:contentid
		{
			$parts = explode(':', $i);
			$templateid = $parts[0];
			if (!array_key_exists($templateid, $template_contentids))
				$template_contentids[$templateid] = array();
			$template_contentids[$templateid][] = $parts[1];
		}
	}
	$mysqli = new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
	$dbUser = new DbUser($mysqli);
	
	if (!$dbUser->update_template_permissions($userid, $templates, $template_contentids))
	{
		$mysqli->close();
		trigger_error(ERROR_STANDARD_MSG, E_USER_ERROR);
	}
	
	// Update the session user.
	if ($userid == $user->id)
	{
		$dbTemplate = new DbWeTemplate($mysqli);
		$user->templates = $dbTemplate->GetAll($userid);
		$user->template_contentids = $dbTemplate->GetTemplatesAndContentIds($userid);
	}

	$mysqli->close();
	header('Location: user_edit.php?id=' . $userid . '&action=ok');
	exit;
}

?>
