<?php

// If you enter here your wordpress API key and the URL of your blog (must be a full URI, including http://), Akismet will be enebaled for comments
$AkismetWordPressAPIKey = '';
$AkismetBlogURL = '';

include('config.php');
include('includes/template.php');
include('includes/error_handling.php');
include('includes/page.php');
include('includes/collection.php');
include('includes/db_entity.php');
include('includes/db_page.php');
include('includes/db_collection.php');
include('includes/db_tag.php');

$itemid = !empty($_POST['itemid']) ? trim($_POST['itemid']) : null;
if ($itemid === null)
	trigger_error('Missing parameters', E_USER_ERROR);

$name = !empty($_POST['name']) ? trim($_POST['name']) : null;
$email = !empty($_POST['email']) ? trim($_POST['email']) : '';
$comment = !empty($_POST['comment']) ? trim($_POST['comment']) : null;
$url = !empty($_POST['url']) ? trim($_POST['url']) : '';

if ($name === null || $comment === null)
	trigger_error('Please fill in all required fields.', E_USER_ERROR);

if (!empty($email))
{
	$pattern = '/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$/';
	if (!preg_match($pattern, $email))
		trigger_error('This is not a valid email.', E_USER_ERROR);
}

if (!empty($url))
{
	if (substr($url, 0, 7) != 'http://')
		$url = 'http://' . $url;
	$pattern = '@^http://[a-z0-9\-\.]+\.[a-z]{2,3}(/[a-z0-9\-\./]*)?$@';
	if (!preg_match($pattern, $url))
		trigger_error('This is not a valid url.', E_USER_ERROR);
}

if (get_magic_quotes_gpc())
{
	$name = stripslashes($name);
	$comment = stripslashes($comment);
	$url = stripslashes($url);
}

$specification = 'none';

// Akismet start
if (!empty($AkismetWordPressAPIKey))
{
	include('Akismet.class.php');
	$akismet = new Akismet($AkismetBlogURL, $AkismetWordPressAPIKey);
	$akismet->setCommentAuthor($name);
	$akismet->setCommentAuthorEmail($email);
	$akismet->setCommentAuthorURL($url);
	$akismet->setCommentContent($comment);
	if ($akismet->isCommentSpam())
		$specification = 'maybe_spam';
}
// Akismet end

$comment = htmlspecialchars($comment);
$comment = preg_replace('/\r?\n/', '<br />', $comment);
$name = htmlspecialchars($name);

$mysqli = @new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);

$dbCollectionItem = new DbCollectionItem($mysqli);
$collectionItem = $dbCollectionItem->GetById($itemid);

if ($collectionItem->comments_closed)
	trigger_error('Comments are closed.', E_USER_ERROR);

$dbCollection = new DbCollection($mysqli);
$collection = $dbCollection->GetById($collectionItem->collection_id, null);
if (!$collection->has_comments)
	trigger_error('This item doesn&#39;t have comments.', E_USER_ERROR);

$dbComment = new DbComment($mysqli);
$c = new Comment();
$c->itemId = $itemid;
$c->name = $name;
$c->email = $email;
$c->url = $url;
$c->comment = $comment;
$c->accepted = ($specification == 'maybe_spam') ? 0 : $collection->comments_accepted_default;
$c->specification = $specification;
if (!$dbComment->add($c))
{
	$mysqli->close();
	trigger_error('An error occurred while adding your comment. Please go back and try again.', E_USER_ERROR);
}

$mysqli->close();

if (!empty($collection->comments_add_email))
	@mail($collection->comments_add_email, "New comment: $collectionItem->title", $comment, "From: <$collection->comments_add_email>");

$referer = $_SERVER['HTTP_REFERER'];
if (($pos = strpos($referer, '?')) > -1)
	$referer = substr($referer, 0, $pos);

if (!$c->accepted)
	header("Location: " . $referer . "?action=ok&spec=review");
else
	header("Location: " . $referer . "?action=ok");

?>
