<?php

include('config.php');
include('includes/template.php');
include('includes/error_handling.php');
include('includes/page.php');
include('includes/collection.php');
include('includes/db_entity.php');
include('includes/db_page.php');
include('includes/db_collection.php');
include('includes/db_tag.php');
include('includes/db_config.php');

if (isset($_POST['submitbutton1']) || !isset($_POST['submitbutton2']))
	trigger_error(null);

// First, make sure the form was posted from a browser.
// For basic web-forms, we don't care about anything
// other than requests from a browser:
if(!isset($_SERVER['HTTP_USER_AGENT']) || !$_SERVER['REQUEST_METHOD'] == "POST")
	trigger_error(null);

if((isset($_SERVER['HTTP_REFERER']) && stristr($_SERVER['HTTP_REFERER'], $_SERVER['HTTP_HOST']) === false))
	trigger_error(null);

$timestamp = !empty($_POST['timestamp']) ? $_POST['timestamp'] : null;
$hash = !empty($_POST['hash']) ? $_POST['hash'] : null;
if ($timestamp === null || $hash === null)
	trigger_error(null);

if (sha1($timestamp . $_SERVER['REMOTE_ADDR'] . 'contact' . WE_SECRET) != $hash)
	trigger_error(null);

// Check time
$time = time();
if ($time - $timestamp < 5)
	trigger_error(null);
else if ($time - $timestamp > 60 * 60 * 4) // 4 uur
	trigger_error(null);

// Check honeypots
$honeypotFieldName1 = sha1($hash . 'honeypot1' . WE_SECRET);
$honeypotFieldName2 = sha1($hash . 'honeypot2' . WE_SECRET);

if ((!empty($_POST[$honeypotFieldName1])) || (!empty($_POST[$honeypotFieldName2])))
	trigger_error(null);

$nameFieldName = sha1($hash . 'name' . WE_SECRET);
$emailFieldName = sha1($hash . 'email' . WE_SECRET);
$commentFieldName = sha1($hash . 'comment' . WE_SECRET);

$naam = !empty($_POST[$nameFieldName]) ? urldecode(trim($_POST[$nameFieldName])) : null;
$email = !empty($_POST[$emailFieldName]) ? urldecode(trim($_POST[$emailFieldName])) : null;
$bericht = !empty($_POST[$commentFieldName]) ? urldecode(trim($_POST[$commentFieldName])) : null;

if ($naam === null || $email === null || $bericht === null)
	trigger_error('Please fill in all required fields.', E_USER_ERROR);

if (preg_match("/\r|\n/i", $email))
	trigger_error('This is not a valid email.', E_USER_ERROR);

$pattern = '/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$/';
if (!preg_match($pattern, $email))
	trigger_error('This is not a valid email.', E_USER_ERROR);

if (get_magic_quotes_gpc())
{
	$naam = stripslashes($naam);
	$bericht = stripslashes($bericht);
}

$bericht = htmlspecialchars($bericht);

$mysqli = @new mysqli(WE_DB_SERVER, WE_DB_USER, WE_DB_PWD, WE_DB_DB);
$dbConfig = new DbConfig($mysqli);
$contactEmail = $dbConfig->GetValue('contact_email');
$mysqli->close();

if (empty($contactEmail))
	trigger_error('No email has been set.', E_USER_ERROR);

if (@mail($contactEmail, 'Webessence contact form', $bericht, "From: <$email>") === FALSE)
	trigger_error('An error occurred while sending the email. Please try again.', E_USER_ERROR);

header("Location: " . $_SERVER['HTTP_REFERER'] . "?action=ok");

?>
