<?php

class Page
{
	public $id;
	public $parentid;
	public $sortorder;
	public $menuname;
	public $prepath;
	public $pathname;
	public $depth;
	public $title;
	public $content; // array[content_id] => content
	public $prefix;
	public $visible;
	public $editable;
	public $template;
	public $collection_id;
	public $collection_limit;
	public $cache_minutes;
	public $is_homepage;
	public $meta_keywords;
	public $meta_description;
	
	public static function IsParent($pages, Page $child, Page $parent)
	{
		while ($child->parentid != $parent->id && isset($pages['ID'][$child->parentid]))
		{
			$child = $pages['ID'][$child->parentid];
		}
		return $child->parentid == $parent->id;
	}

	public static function GetParent($pages, Page $child)
	{
		if (isset($pages['ID'][$child->parentid]))
		{
			return $pages['ID'][$child->parentid];
		}
		return null;
	}
	
	public static function GetRoot($pages, Page $page)
	{
		$parent = $page;
		while (isset($pages['ID'][$parent->parentid]))
			$parent = $pages['ID'][$parent->parentid];
		return $parent;
	}

}

?>