<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<?php if (!empty($page->meta_description)) echo '<meta name="description" content="' . $page->meta_description . '" />'; ?>
<?php if (!empty($page->meta_keywords)) echo '<meta name="keywords" content="' . $page->meta_keywords . '" />'; ?>
<title><?php echo $page->title; ?></title>
<!-- http://wordpressthemesbase.com/view/528.html -->
<link rel="stylesheet" type="text/css" href="<?php echo WE_PATH_SUB; ?>/css/base.css" />

<?php

function writeLayeredMenuFromParent($pages, $parentId, $currentPage)
{
	echo '<ul>';

	$ps = $pages['PARENT_ID'][$parentId];
	
	foreach ($ps as $pageId => $p)
	{
		$cssClass = $p->id == $currentPage->id ? 'class="activeLink"' : '';
		echo '<li><a ' . $cssClass . ' href="' . WE_PATH_SUB . '/' . $p->prepath . $p->pathname . '/">' . $p->menuname . '</a>';
		if (isset($pages['PARENT_ID'][$p->id]))
		{
			writeLayeredMenuFromParent($pages, $p->id, $currentPage);
		}
		
		echo "</li>";
	}
	echo '</ul>';
}

$parent = Page::GetRoot($pages, $page);

if (isset($cssFiles))
{
	foreach ($cssFiles as $cssFile)
	{
		echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"$cssFile\" />\n";
	}
}

if (isset($jsFiles))
{
	foreach ($jsFiles as $jsFile)
	{
		echo "<script type=\"text/javascript\" src=\"$jsFile\"></script>\n";
	}
}

?>

</head>
<body>

<div id="wrapper">

	<div id="header">
		<div id="innerheader">
			<h1><a href="<?php echo WE_PATH_SUB; ?>/">Webessence CMS demo</a></h1>
			
			<div id="navfixed">
		
		
			<?php if (isset($pages['PARENT_ID'][-1]))
			{
				echo '<ul>';
				foreach ($pages['PARENT_ID'][-1] as $id => $p)
				{
					$cssClass = $p->id == $parent->id ? 'class="activeLink"' : '';
					echo "<li><a $cssClass href='" . WE_PATH_SUB . "/$p->prepath$p->pathname/'>$p->menuname</a></li>";
				}
				echo '</ul>';
			}
			?>

			</div>
		</div>
	</div>
	
	<div id="searchblock">
		<div id="innersearchblock">
			<form action=""><input type="text" name="q" /><input type="submit" value="Search" /></form>
		</div>
	</div>
	
	<div id="contentwrapper">
	
		<div id="main">
			
			
			<?php if (isset($_GET['action']) && $_GET['action'] == 'ok')
			{
				echo '<p class="newcommentok"><strong>Thanks for your comment!</strong></p>';
			}
			else
			{

			$time = time();
			$hash = sha1($time . $_SERVER['REMOTE_ADDR'] . 'contact' . WE_SECRET);
			$emailfield = sha1($hash . 'email' . WE_SECRET);
			$namefield = sha1($hash . 'name' . WE_SECRET);
			$commentfield = sha1($hash . 'comment' . WE_SECRET);
			$honeypot1 = sha1($hash . 'honeypot1' . WE_SECRET);
			$honeypot2 = sha1($hash . 'honeypot2' . WE_SECRET);

			?>

			<form name="contactForm" id="contactForm" action="<?php echo WE_PATH_SUB; ?>/webessence/contact_do.php" method="post">

			<label for="<?php echo $namefield; ?>">Name*</label><br />
			<input type="text" style="width:200px;" name="<?php echo $namefield; ?>" id="<?php echo $namefield; ?>" /><br /><br />
			<div class="hpaction">
				<label for="<?php echo $honeypot1; ?>" maxlength="60">If you see this, ignore it</label>
				<input type="text" name="<?php echo $honeypot1; ?>" id="<?php echo $honeypot1; ?>" />
				<br class="clearer" />
			</div>
			<label for="<?php echo $emailfield; ?>">Email*</label><br />
			<input type="text" style="width:200px;" name="<?php echo $emailfield; ?>" id="<?php echo $emailfield; ?>" /><br /><br />
			<div class="hpaction">
				<label for="<?php echo $honeypot2; ?>" maxlength="60">If you see this, ignore it</label>
				<input type="text" name="<?php echo $honeypot2; ?>" id="<?php echo $honeypot2; ?>" />
				<br class="clearer" />
			</div>
			<label for="<?php echo $commentfield; ?>">Message*</label><br />
			<textarea name="<?php echo $commentfield; ?>" id="<?php echo $commentfield; ?>" style="width:524px; height:200px;"></textarea><br />
			<div style="font-size:10px;">Fields marked with * are required<br />HTML is not allowed</div>
			<input type="hidden" name="timestamp" value="<?php echo $time; ?>" />
			<input type="hidden" name="hash" value="<?php echo $hash; ?>" />
			<input type="submit" value="Submit" name="submitbutton2" />
			<input type="submit" value="Do not touch this button" name="submitbutton1" style="display:none;" />

			</form>

			<?php
			}
			?>
			
			
			
			
		</div>
		
		<div id="sidebar">
		
			<?php
			if (isset($pages['PARENT_ID'][0]))
			{
				echo '<div id="subnav"><h3><span>Menu</span></h3>';
				writeLayeredMenuFromParent($pages, 0, $page);
				echo "</div>";
			}
			?>

		</div>
	
	</div>
	
	<div id="footer">
		Powered by <a href="http://www.webessence.nl/">Webessence CMS</a>
	</div>

</div>

<?php
if (isset($js))
{
	echo "<script type='text/javascript'>$js</script>";
}
?>

</body>
</html>