<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<?php if (!empty($page->meta_description)) echo '<meta name="description" content="' . $page->meta_description . '" />'; ?>
<?php if (!empty($page->meta_keywords)) echo '<meta name="keywords" content="' . $page->meta_keywords . '" />'; ?>
<title><?php echo $page->title; ?></title>
<!-- http://wordpressthemesbase.com/view/528.html -->
<link rel="stylesheet" type="text/css" href="<?php echo WE_PATH_SUB; ?>/css/base.css" />

<?php

function writeLayeredMenuFromParent($pages, $parentId, $currentPage)
{
	echo '<ul>';

	$ps = $pages['PARENT_ID'][$parentId];
	
	foreach ($ps as $pageId => $p)
	{
		$cssClass = $p->id == $currentPage->id ? 'class="activeLink"' : '';
		echo '<li><a ' . $cssClass . ' href="' . WE_PATH_SUB . '/' . $p->prepath . $p->pathname . '/">' . $p->menuname . '</a>';
		if (isset($pages['PARENT_ID'][$p->id]))
		{
			writeLayeredMenuFromParent($pages, $p->id, $currentPage);
		}
		
		echo "</li>";
	}
	echo '</ul>';
}

$parent = Page::GetRoot($pages, $page);

if (isset($cssFiles))
{
	foreach ($cssFiles as $cssFile)
	{
		echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"$cssFile\" />\n";
	}
}

if (isset($jsFiles))
{
	foreach ($jsFiles as $jsFile)
	{
		echo "<script type=\"text/javascript\" src=\"$jsFile\"></script>\n";
	}
}

?>

</head>
<body>

<div id="wrapper">

	<div id="header">
		<div id="innerheader">
			<h1><a href="<?php echo WE_PATH_SUB; ?>/">Webessence CMS demo</a></h1>
			
			<div id="navfixed">
		
			<?php if (isset($pages['PARENT_ID'][-1]))
			{
				echo '<ul>';
				foreach ($pages['PARENT_ID'][-1] as $id => $p)
				{
					$cssClass = $p->id == $parent->id ? 'class="activeLink"' : '';
					echo "<li><a $cssClass href='" . WE_PATH_SUB . "/$p->prepath$p->pathname/'>$p->menuname</a></li>";
				}
				echo '</ul>';
			}
			?>
			
			</div>

		</div>
	</div>
	
	<div id="searchblock">
		<div id="innersearchblock">
			<form action=""><input type="text" name="q" /><input type="submit" value="Search" /></form>
		</div>
	</div>
	
	<div id="contentwrapper">
	
		<div id="main">
			<div id="maincontent1"><?php echo $page->content['maincontent1']; ?></div>
			<div id="maincontent2"><?php echo $page->content['maincontent2']; ?></div>
			<div id="maincontent3"><?php echo $page->content['maincontent3']; ?></div>
		</div>
		
		<div id="sidebar">
		
			<?php
			if (isset($pages['PARENT_ID'][0]))
			{
				echo '<div id="subnav"><h3><span>Menu</span></h3>';
				writeLayeredMenuFromParent($pages, 0, $page);
				echo "</div>";
			}
			?>

		</div>
	
	</div>
	
	<div id="footer">
		Powered by <a href="http://www.webessence.nl/">Webessence CMS</a>
	</div>

</div>


</body>
</html>

<?php
if (isset($ineditor))
{
	if (isset($js))
		echo "<script type='text/javascript'>$js</script>";
}
else
{
?>

<script type="text/javascript" src="<?php echo WE_PATH_SUB; ?>/js/oembed.js"></script>
<script type="text/javascript">
oembed.path_to_oembed_php = "<?php echo WE_PATH_SUB; ?>/webessence/oembed.php";
oembed.replace_all_links();
</script>

<?php
}
?>