<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<?php $pageItem = isset($collectionitem) ? $collectionitem : $page; ?>
<?php if (!empty($pageItem->meta_description)) echo '<meta name="description" content="' . $pageItem->meta_description . '" />'; ?>
<?php if (!empty($pageItem->meta_keywords)) echo '<meta name="keywords" content="' . $pageItem->meta_keywords . '" />'; ?>
<title><?php echo $pageItem->title; ?></title>
<link rel="stylesheet" type="text/css" href="<?php echo WE_PATH_SUB; ?>/css/base.css" />

<?php

function writeLayeredMenuFromParent($pages, $parentId, $currentPage)
{
	echo '<ul>';

	$ps = $pages['PARENT_ID'][$parentId];
	
	foreach ($ps as $pageId => $p)
	{
		$cssClass = $p->id == $currentPage->id ? 'class="activeLink"' : '';
		echo '<li><a ' . $cssClass . ' href="' . WE_PATH_SUB . '/' . $p->prepath . $p->pathname . '/">' . $p->menuname . '</a>';
		if (isset($pages['PARENT_ID'][$p->id]))
		{
			writeLayeredMenuFromParent($pages, $p->id, $currentPage);
		}
		
		echo "</li>";
	}
	echo '</ul>';
}

$parent = Page::GetRoot($pages, $page);

if (isset($cssFiles))
{
	foreach ($cssFiles as $cssFile)
	{
		echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"$cssFile\" />\n";
	}
}

if (isset($jsFiles))
{
	foreach ($jsFiles as $jsFile)
	{
		echo "<script type=\"text/javascript\" src=\"$jsFile\"></script>\n";
	}
}

$months = array(
	1 => 'JAN',
	2 => 'FEB',
	3 => 'MAR',
	4 => 'APR',
	5 => 'MAY',
	6 => 'JUN',
	7 => 'JUL',
	8 => 'AUG',
	9 => 'SEP',
	10 => 'OCT',
	11 => 'NOV',
	12 => 'DEC'
);

?>

</head>
<body>

<div id="wrapper">

	<div id="header">
		<div id="innerheader">
			<h1><a href="<?php echo WE_PATH_SUB; ?>/">Webessence CMS demo</a></h1>
			
			<div id="navfixed">
		
			<?php if (isset($pages['PARENT_ID'][-1]))
			{
				echo '<ul>';
				foreach ($pages['PARENT_ID'][-1] as $id => $p)
				{
					$cssClass = $p->id == $parent->id ? 'class="activeLink"' : '';
					echo "<li><a $cssClass href='" . WE_PATH_SUB . "/$p->prepath$p->pathname/'>$p->menuname</a></li>";
				}
				echo '</ul>';
			}
			?>
			
			</div>
			
		</div>
	</div>
	
	<div id="searchblock">
		<div id="innersearchblock">
			<form action=""><input type="text" name="q" /><input type="submit" value="Search" /></form>
		</div>
	</div>
	
	<div id="contentwrapper">
	
		<div id="main">
			
			<?php
			
			if (!empty($collectionitems))
			{
				foreach ($collectionitems as $item)
				{
					// Format the tags
					$tags = 'No tags';
					if (!empty($item->tags))
					{
						$tags = array();
						foreach ($item->tags as $tagname)
						{
							$tags[] = "<a href='" . WE_PATH_SUB . "/$page->prepath$page->pathname/?tag=$tagname'>$tagname</a>";
						}
						$tags = implode(', ', $tags);
					}
					
					// Get the date parts ot this item
					$date = date_parse($item->date_created);
					
					// Format the link to this post
					$link = WE_PATH_SUB . "/$page->prepath$page->pathname/" . $date['year'] . "/" . str_pad($date['month'], 2, 0, STR_PAD_LEFT) . "/" . str_pad($date['day'], 2, 0, STR_PAD_LEFT) . "/" . $item->url_title;
					
					// Show the item
					echo '<div class="weblogpost"><h2><a href="' . $link . '">' . $item->title . '</a></h2><div class="weblogmeta">' . $date['day'] . ' ' . $months[$date['month']] . ' ' . $date['year'] . ' | ' . $tags . ' | <a href="' . $link . '#comments">' . $item->accepted_comments_count . ' comments</a></div>' . $item->content1;
					if ($item->has_content2) echo '<p><a href="' . $link . '#more-' . $item->id . '">Read more...</a></p>';
					echo '</div>';
				}
				
				
				// Show history navigation
				$parameters = array('/' . $page->prepath . $page->pathname);
				if (isset($_GET['year'])) $parameters[] = $_GET['year'];
				if (isset($_GET['month'])) $parameters[] = str_pad($_GET['month'], 2, 0, STR_PAD_LEFT);
				if (isset($_GET['day'])) $parameters[] = str_pad($_GET['day'], 2, 0, STR_PAD_LEFT);
				
				$pUrl = WE_PATH_SUB . implode('/', $parameters) . '/';
				
				$offsetParString = "?";
				if (isset($tag))
				{
					$offsetParString = "&";
					$pUrl .= "?tag=$tag";
				}
				
				echo '<div class="webloghistorynav">';
				if ($offset + $page->collection_limit < $collection->items_visible_count)
				{
					echo '<a href="' . $pUrl . $offsetParString . 'offset=' . ($offset + $page->collection_limit) . '">&lt;&lt; Older items</a> | ';
				}
				else
				{
					echo '<a class="disabled">&lt;&lt; Older items</a> | ';
				}
				if ($offset > 0)
				{
					if ($offset - $page->collection_limit == 0)
					{
						echo ' <a href="' . $pUrl . '">Newer items &gt;&gt;</a>';
					}
					else
					{
						echo ' <a href="' . $pUrl . $offsetParString . 'offset=' . ($offset - $page->collection_limit) . '">Newer items &gt;&gt;</a>';
					}
				}
				else
				{
					echo ' <a class="disabled">Newer items &gt;&gt;</a>';
				}
				echo '</div>';
				
			}
			else if (!empty($collectionitem))
			{
			
				if (isset($_GET['action']))
				{
					$msg = '';
					if ($_GET['action'] == 'ok')
					{
						$msg = 'Thanks for you comment.';
						if (isset($_GET['spec']) && $_GET['spec'] == 'review')
							$msg .= '<br />After your comment has been reviewed, it will be visible.';
						echo "<p class='msgok'>$msg</p>";
					}
				}
			
				// Format the tags
				$tags = 'No tags';
				if (!empty($collectionitem->tags))
				{
					$tags = array();
					foreach ($collectionitem->tags as $tagname)
					{
						$tags[] = "<a href='" . WE_PATH_SUB . "/$page->prepath$page->pathname/?tag=$tagname'>$tagname</a>";
					}
					$tags = implode(', ', $tags);
				}
				
				// Get the date parts ot this item
				$date = date_parse($collectionitem->date_created);
				
				// Show the item and comments
				echo '<h2>' . $collectionitem->title . '</h2><div class="weblogmeta">' . $date['day'] . ' ' . $months[$date['month']] . ' ' . $date['year'] . ' | ' . $tags . ' | <span>' . count($comments) . ' comments</span></div>' . $collectionitem->content1 . '<span id="more-' . $collectionitem->id . '"></span>' . $collectionitem->content2;
				
				if ($collection->has_comments)
				{
					if (count($comments) > 0)
					{
						echo '<div id="comments">';
						if (!empty($comments))
						{
							echo '<h2>Comments</h2>';
							foreach ($comments as $comment)
							{
								$name = !empty($comment->url) ? '<a href="' . $comment->url . '" rel="external nofollow">' . $comment->name . '</a>' : $comment->name;
								echo '<div class="comment"><strong>' . $comment->dateCreated . ' | ' . $name . '</strong><br />' . $comment->comment . '</div>';
							}
						}
						echo '</div>'; // div#comments
					}
					
					if (!$collectionitem->comments_closed)
					{
					
						?>
						
						<div id="makecomment">
						<h2>Add a comment</h2>
						<form name="commentForm" id="commentForm" action="<?php echo WE_PATH_SUB; ?>/webessence/comment_do.php" method="post">

							<label for="name">Name *</label><br />
							<input type="text" style="width:200px;" name="name" id="name" maxlength="60" /><br /><br />
							
							<label for="url">URL</label><br />
							<input type="text" style="width:200px;" name="url" id="url" maxlength="60" /><br /><br />
							
							<label for="email">Email</label><br />
							<input type="text" style="width:200px;" name="email" id="email" maxlength="60" /><br /><br />
							
							<label for="comment">Comment *</label><br />
							<textarea name="comment" id="comment" style="display:block; width:100%; height:200px;"></textarea><br />
							<div style="font-size:10px; text-align:right;">Fields marked with * are required<br />HTML is not allowed</div>
							
							<input type="hidden" name="itemid" value="<?php echo $collectionitem->id; ?>" />
							
							<input type="submit" value="Submit" />
							
						</form>
						</div>
						
						<?php				
					}
					else
					{
						echo "<p><em>Comments are closed.</em></p>";
					}
				
				}
			}
			
			?>
			
		<br class="clearer" />
			
		</div>
		
		<div id="sidebar">
			
			<?php
			if (isset($pages['PARENT_ID'][0]))
			{
				echo '<div id="subnav"><h3><span>Menu</span></h3>';
				writeLayeredMenuFromParent($pages, 0, $page);
				echo "</div>";
			}
			
			if (isset($tagscount) && count($tagscount) > 0)
			{
				echo '<div id="tags"><h3><span>Tags</span></h3>';
				$activeTag = isset($_GET['tag']) ? $_GET['tag'] : null;
				foreach ($tagscount as $tagname => $tagcount)
				{
					if ($tagcount < 6) $cname = 'b1a5';
					else if ($tagcount > 5 && $tagcount < 11) $cname = 'b6a10';
					else if ($tagcount > 10 && $tagcount < 21) $cname = 'b11a20';
					else if ($tagcount > 20 && $tagcount < 51) $cname = 'b21a50';
					else $cname = 'morethan51';
					
					if (isset($activeTag) && $activeTag == $tagname) $cname .= ' activeLink';
					
					echo "<a class='$cname' title='$tagcount items' href='" . WE_PATH_SUB . "/$page->prepath$page->pathname/?tag=$tagname'>$tagname</a> ";
				}
				echo '</div>';
			}
			
			?>
			
			
			
		</div>
	
	</div>
	
	<div id="footer">
		Powered by <a href="http://www.webessence.nl/">Webessence CMS</a>
	</div>

</div>

</body>
</html>

<?php
if (isset($ineditor))
{
	if (isset($js))
		echo "<script type='text/javascript'>$js</script>";
}
else
{
?>

<script type="text/javascript" src="<?php echo WE_PATH_SUB; ?>/js/oembed.js"></script>
<script type="text/javascript">
oembed.path_to_oembed_php = "<?php echo WE_PATH_SUB; ?>/webessence/oembed.php";
oembed.replace_all_links();
</script>

<?php
}
?>